<?php
/**
 *
 * @package productive-ecommerce
 */


function productive_ecommerce_theme_dashboard_section_intro() {
    ?>
    <h2 class="">
        <?php echo __( 'Customize ', 'productive-ecommerce' ) . PRODUCTIVE_ECOMMERCE_CURRENT_THEME_NAME; ?>
    </h2>
<?php
}


function productive_ecommerce_theme_dashboard_section_content() {
    $productive_ecommerce_get_per_row_to_display = 2;
?>
    <div class="productive-global-admin-content-container">
        <h3 class=""><?php echo __( 'Manage Website Content ', 'productive-ecommerce' ); ?></h3>
        <div class="productiveminds_section-container closeup to_one grid columns-<?php echo esc_attr( $productive_ecommerce_get_per_row_to_display ); ?>">
            <?php 
                $dashboard_items = productive_theme_dashboard_items_cpt();
                foreach ( $dashboard_items as $key => $dashboard_item ) {
                    $singular   = $dashboard_item['singular'];
                    $plural     = $dashboard_item['plural'];
                    $slug       = $dashboard_item['slug'];
                    $content       = $dashboard_item['content'];
                    $manage_dashboard_item_uri = 'edit.php?post_type=' . $slug;
                    $add_dashboard_item_uri = 'post-new.php?post_type=' . $slug;
                    $is_extra = function_exists( 'productiveminds_theme_extra_is_active' ) || function_exists( 'productive_style_extra_is_active' );
            ?>
            <div class="productiveminds_section-container-column bordered_as_bg padding_1_rem">
                <div class="productiveminds_section-container-column-content">
                    <div class="productiveminds_section-container-column-content-body">
                        <div class="the_content">
                            <div class="the_title small-heading">
                                <?php echo esc_html( $plural ); ?>
                            </div>
                            <div class="small-text">
                                <?php echo esc_html( $content ); ?>
                            </div>
                            <div class="the_content_link">
                                <?php if ( productive_ecommerce_is_productive_style_active() ) { ?>
                                    <?php if ( !$dashboard_item['is_extra'] || ( $dashboard_item['is_extra'] && $is_extra ) ) { ?>
                                        <a aria-label="<?php _e('Manage ', 'productive-ecommerce') .  esc_attr( $plural ); ?>" href="<?php echo esc_url( $manage_dashboard_item_uri ); ?>">
                                            <?php _e('Manage', 'productive-ecommerce'); ?>
                                        </a>
                                        |
                                        <a aria-label="<?php echo esc_attr('Add New ', 'productive-ecommerce') . esc_html( $singular ); ?>" href="<?php echo esc_url( $add_dashboard_item_uri ); ?>">
                                            <?php _e('Add New ', 'productive-ecommerce'); ?>
                                        </a>
                                    <?php } else { ?>
                                        <a style="text-decoration: none !important" target="_blank" aria-label="<?php _e('Upgrade ', 'productive-ecommerce') .  esc_attr( $plural ); ?>" href="<?php echo PRODUCTIVE_ECOMMERCE_THEME_FEATURES_OR_BUY_URL; ?>">
                                            <?php _e('Pro feature, Upgrade', 'productive-ecommerce'); ?>
                                        </a>
                                    <?php } ?>
                                <?php } else { ?>  
                                        <div class="small-text" style="margin-top: 10px">
                                            <?php _e('Required plugin, ', 'productive-ecommerce'); ?><?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_TITLE; ?><?php _e(' is not activated.', 'productive-ecommerce'); ?>
                                        </div>
                                        <a style="text-decoration: none !important" target="_blank" aria-label="<?php _e('Upgrade ', 'productive-ecommerce') .  esc_attr( $plural ); ?>" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_REPO_URL; ?>">
                                            <?php _e('Install plugin', 'productive-ecommerce'); ?>
                                        </a>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php } ?>
            <div class="clear_min"></div>
        </div>
    </div>
<?php
}

function productive_ecommerce_theme_dashboard_section_customizers() {
    $productive_ecommerce_get_per_row_to_display = 3;
    ?>
    <div class="productive-global-admin-content-container">
        <h3 class=""><?php echo __( 'Instantly Customize Your Website', 'productive-ecommerce' ); ?></h3>
        <div class="productiveminds_section-container closeup to_one grid columns-<?php echo esc_attr( $productive_ecommerce_get_per_row_to_display ); ?>">
            <?php 
                $dashboard_items = productive_theme_dashboard_items_customizer();
                foreach ( $dashboard_items as $key => $dashboard_item ) {
                    $customizer         = $dashboard_item['customizer'];
                    $slug               = $dashboard_item['slug'];
                    $plugin             = $dashboard_item['plugin'];
                    $plugin_exists      = $dashboard_item['plugin_exists'];
                    $content            = $dashboard_item['content'];
                    $url                = $dashboard_item['url'];
                    $is_extra           = function_exists( 'productiveminds_theme_extra_is_active' ) || function_exists( 'productive_style_extra_is_active' );
            ?>
            <div class="productiveminds_section-container-column bordered_as_bg padding_1_rem">
                <div class="productiveminds_section-container-column-content">
                    <div class="productiveminds_section-container-column-content-body">
                        <div class="the_content">
                            <div class="the_title small-heading">
                                <?php echo esc_html( $customizer ); ?>
                            </div>
                            <div class="small-text">
                                <?php echo esc_html( $content ); ?>
                            </div>
                            <div class="the_content_link">
                                <?php if ( 'in_theme' != $plugin && !$plugin_exists ) { ?>
                                <a target="_blank" aria-label="<?php _e('Install Plugin ', 'productive-ecommerce') .  esc_attr( $url ); ?>" href="<?php echo esc_url( $url ); ?>">
                                        <?php _e('Install Plugin', 'productive-ecommerce'); ?>
                                    </a>
                                <?php } else { ?>
                                    <?php if ( !$dashboard_item['is_extra'] || ( $dashboard_item['is_extra'] && $is_extra ) ) { ?>
                                        <a aria-label="<?php _e('Enable ', 'productive-ecommerce') .  esc_attr( $url ); ?>" href="<?php echo esc_url( $url ); ?>">
                                            <?php _e('customize', 'productive-ecommerce'); ?>
                                        </a>
                                    <?php } else { ?>
                                        <a class="bolded green" style="text-decoration: none !important" target="_blank" aria-label="<?php _e('Pro feature, Upgrade', 'productive-ecommerce'); ?>" href="<?php echo PRODUCTIVE_ECOMMERCE_THEME_FEATURES_OR_BUY_URL; ?>">
                                            <?php _e('Pro feature, Upgrade', 'productive-ecommerce'); ?>
                                        </a>
                                    <?php } ?>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <?php } ?>
            <div class="clear_min"></div>
        </div>
    </div>
<?php
}

function productive_ecommerce_theme_dashboard_section_template_elementor() {
    ?>
    <div class="productive-global-admin-content-container">
        <h3 class=""><?php echo __( 'Impress Website Visitors with Elementor Widgets', 'productive-ecommerce' ); ?></h3>
        <div class="productiveminds_double_grid column_50_50">
            <div class="productiveminds_double_grid_content">
                <div class="get-pro-features-box-list">
                    <ul class="get-pro-features-box-list">
                        <li>
                            <?php _e( 'Easily re-design and re-build almost any part of your website to impress your website visitors.', 'productive-ecommerce' ); ?>
                        </li>
                        <li>
                            <?php _e( 'Get access to more than 10 Elementor widgets with Pro:', 'productive-ecommerce' ); ?>
                            <ol class="get-pro-features-box-list">
                                <li><?php _e( 'Content Element', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Video Elements', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'WooCommerce Reviews', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'WooCommerce Ratings', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Blog Single page', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Blog Archive page.', 'productive-ecommerce' ); ?></li>
                                <li><?php _e( 'Search Result page', 'productive-ecommerce' ); ?></li>
                            </ol>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="productiveminds_double_grid_content">
                <div class="get-pro-features-box-screenshots">
                    <div class="productive_video_player_admin_yt_container">
                        <a target="_blank" href="<?php echo PRODUCTIVE_ECOMMERCE_THEME_FEATURES_OR_BUY_URL; ?>">
                            <img src="<?php echo PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/productivemedia/' . PRODUCTIVE_ECOMMERCE_CURRENT_THEME_TEXT_DOMAIN . '.webp' ?>" alt="" width="100%" height="auto" />
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="clear_min"></div>
        <div class="productive-global-block-link-container">
            <?php if( !function_exists( 'productiveminds_theme_extra_is_active' ) ) { ?>
                <a target="_blank" class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_THEME_FEATURES_OR_BUY_URL; ?>">
                    <?php echo esc_html__( 'Upgrade to Pro and start impressing with Elementor widgets', 'productive-ecommerce' ); ?>
                </a>
            <?php } else { ?>
            <a class="standard-link" href="<?php echo esc_url( admin_url( 'edit.php?post_type=page' ) ); ?>">
                    <?php echo esc_html__( 'Start building with Elementor widgets', 'productive-ecommerce' ); ?>
                </a>
            <?php } ?>
        </div>
    </div>
<?php
}


function productive_ecommerce_theme_dashboard_section_plugin_forms() {
    ?>
    <div class="productive-global-admin-content-container">
        <h3 class="">
            <?php echo __( 'Boost engagement and interactivity with ', 'productive-ecommerce' ) . PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_TITLE; ?><?php _e( ' plugin', 'productive-ecommerce' ); ?>
        </h3>
        <h4 class="sub-heading">
            <?php _e( 'Easily deploy stunning "Contact Us" forms, pages, newsletter opt-ins, and contact buttons.', 'productive-ecommerce' ); ?>
        </h4>
        <div class="productiveminds_double_grid column_30_70">
            <div class="productiveminds_double_grid_content">
                <div class="get-pro-features-box-screenshots">
                    <div class="productive_video_player_admin_yt_container">
                        <a target="_blank" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_OUR_URL; ?>">
                            <img src="<?php echo PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/productivemedia/productive-forms.webp' ?>" alt="" width="100%" height="auto" />
                        </a>
                    </div>
                </div>
            </div>
            <div class="productiveminds_double_grid_content">
                <div class="get-pro-features-box-list">
                    <ul class="get-pro-features-box-list">
                        <li><?php _e( 'Quickly integrate a functional "Contact Us" page.', 'productive-ecommerce' ); ?></li>
                        <li><?php _e( 'Embed customizable contact forms anywhere on your site using shortcodes.', 'productive-ecommerce' ); ?></li>
                        <li><?php _e( 'Access a variety of "Contact Us" templates; personalize for unique designs (coming soon).', 'productive-ecommerce' ); ?></li>
                        <li><?php _e( 'Efficiently incorporate Newsletter opt-in forms on your site.', 'productive-ecommerce' ); ?></li>
                        <li><?php _e( 'Introduce floating buttons for social media, contact forms, and newsletter opt-ins.', 'productive-ecommerce' ); ?></li>
                        <li><?php _e( 'Export submissions and subscriptions to a CSV file for compatibility with platforms like Mailchimp and Omnisend.', 'productive-ecommerce' ); ?></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="clear_min"></div>
        <div class="productive-global-block-link-container">
            <?php if( !productive_ecommerce_is_productive_forms_active() ) { ?>
                <a target="_blank" class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_REPO_URL; ?>">
                    <?php echo esc_html__( 'Install ', 'productive-ecommerce' ); ?><?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_TITLE; ?>
                </a>
            <?php } else { ?>
                <a class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_ADMIN_OPTIONS_LINK; ?>">
                    <?php echo esc_html__( 'Customize ', 'productive-ecommerce' ); ?><?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_TITLE; ?>
                </a>
            <?php } ?>
        </div>
    </div>
<?php
}



function productive_ecommerce_theme_dashboard_section_plugin_commerce() {
    if( productive_ecommerce_is_woocommerce_activated() ) {
    ?>
    <div class="productive-global-admin-content-container">
        <h3 class="">
            <?php echo __( 'Enhance the WooCommerce User Experience', 'productive-ecommerce' ); ?>
        </h3>
        <h4 class="sub-heading">
            <?php _e( 'Achieve exceptional e-commerce results with ', 'productive-ecommerce' ); ?><?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_TITLE; ?><?php _e( ' plugin', 'productive-ecommerce' ); ?>
        </h4>
        <div class="productiveminds_double_grid column_30_70">
            <div class="productiveminds_double_grid_content">
                <div class="get-pro-features-box-screenshots">
                    <div class="productive_video_player_admin_yt_container">
                        <a target="_blank" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_OUR_URL; ?>">
                            <img src="<?php echo PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/productivemedia/productive-commerce.webp' ?>" alt="" width="100%" height="auto" />
                        </a>
                    </div>
                </div>
            </div>
            <div class="productiveminds_double_grid_content">
                <div class="get-pro-features-box-list">
                    <ul class="get-pro-features-box-list">
                        <li><?php _e( 'Enhances WooCommerce functionality, improving shopping journey, user-experience and efficiency.', 'productive-ecommerce' ); ?></li>
                        <li><?php _e( 'Users can effortlessly add products to their Wishlist.', 'productive-ecommerce' ); ?></li>
                        <li><?php _e( 'It enables side-by-side product comparisons.', 'productive-ecommerce' ); ?></li>
                        <li><?php _e( 'View product details and add items to cart quickly from catalog pages.', 'productive-ecommerce' ); ?></li>
                        <li><?php _e( 'Access to Mini Cart & Mini Wishlist popups is available site-wide.', 'productive-ecommerce' ); ?></li>
                        <li><?php _e( 'Users can easily share Wishlist and Comparison pages on social media.', 'productive-ecommerce' ); ?></li>
                        <li><?php _e( 'Offers extensive branding options including Elementor widgets that works with both free Elementor and Elementor Pro.', 'productive-ecommerce' ); ?></li>
                        <li><?php _e( 'Admins can effectively manage website user&#39;s Wishlists.', 'productive-ecommerce' ); ?></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="clear_min"></div>
        <div class="productive-global-block-link-container">
            <?php if( !productive_ecommerce_is_productive_commerce_active() ) { ?>
                <a target="_blank" class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_REPO_URL; ?>">
                    <?php echo esc_html__( 'Install  ', 'productive-ecommerce' ); ?><?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_TITLE; ?>
                </a>
            <?php } else { ?>
                <a class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_ADMIN_OPTIONS_LINK; ?>">
                    <?php echo esc_html__( 'Customize ', 'productive-ecommerce' ); ?><?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_TITLE; ?>
                </a>
            <?php } ?>
        </div>
    </div>
<?php
    }
}


function productive_ecommerce_theme_dashboard_section_about() {
    ?>
    <div class="productive-global-admin-content-container">
        <div class="productiveminds_double_grid column_100">
            <div class="productiveminds_double_grid_content">
                <div class="get-pro-features-box-list dense">
                    
                    <h3 class=""><?php echo __( 'Harmonious Plugins', 'productive-ecommerce' ); ?></h3>
                    
                    <div class="items-in-rows">
                        <div class="productiveminds_section-container columns_left_icon-50px closeup">
                            <div>
                                <a target="_blank" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_OUR_URL; ?>">
                                    <img src="<?php echo PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/productivemedia/productive-style.webp' ?>" alt="" width="100%" height="auto" />
                                </a>
                            </div>
                            <div>
                                <div class="small-heading">
                                    <?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_TITLE; ?>
                                </div>
                                <div class="small-text">
                                    <?php echo __( 'Breadcrumb, content building tools...', 'productive-ecommerce' ); ?>
                                </div>
                            </div>
                        </div>
                        <div class="productive-global-block-link-container">
                            <?php if( !productive_ecommerce_is_productive_style_active() ) { ?>
                                <a target="_blank" class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_REPO_URL; ?>">
                                    <?php echo esc_html__( 'Install plugin', 'productive-ecommerce' ); ?>
                                </a>
                            <?php } else { ?>
                                <a class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_ADMIN_OPTIONS_LINK; ?>">
                                    <?php echo esc_html__( 'Customize plugin', 'productive-ecommerce' ); ?>
                                </a>
                            <?php } ?>
                        </div>
                    </div>
                    
                    <?php if( productive_ecommerce_is_woocommerce_activated() ) { ?>
                        <div class="items-in-rows">
                            <div class="productiveminds_section-container columns_left_icon-50px closeup">
                                <div>
                                    <a target="_blank" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_OUR_URL; ?>">
                                        <img src="<?php echo PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/productivemedia/productive-commerce.webp' ?>" alt="" width="100%" height="auto" />
                                    </a>
                                </div>
                                <div>
                                    <div class="small-heading">
                                        <?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_TITLE; ?>
                                    </div>
                                    <div class="small-text">
                                        <?php echo __( 'Wishlist, Compare, Quick View, MiniCart...', 'productive-ecommerce' ); ?>
                                    </div>
                                </div>
                            </div>
                            <div class="productive-global-block-link-container">
                                <?php if( !productive_ecommerce_is_productive_commerce_active() ) { ?>
                                    <a target="_blank" class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_REPO_URL; ?>">
                                        <?php echo esc_html__( 'Install plugin', 'productive-ecommerce' ); ?>
                                    </a>
                                <?php } else { ?>
                                    <a class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_ADMIN_OPTIONS_LINK; ?>">
                                        <?php echo esc_html__( 'Customize plugin', 'productive-ecommerce' ); ?>
                                    </a>
                                <?php } ?>
                            </div>
                        </div>
                    <?php } ?>
                    
                    <div class="items-in-rows">
                        <div class="productiveminds_section-container columns_left_icon-50px closeup">
                            <div>
                                <a target="_blank" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_OUR_URL; ?>">
                                    <img src="<?php echo PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/productivemedia/productive-forms.webp' ?>" alt="" width="100%" height="auto" />
                                </a>
                            </div>
                            <div>
                                <div class="small-heading">
                                    <?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_TITLE; ?>
                                </div>
                                <div class="small-text">
                                    <?php echo __( 'Contact forms, Newsletter opt-ins...', 'productive-ecommerce' ); ?>
                                </div>
                            </div>
                        </div>
                        <div class="productive-global-block-link-container">
                            <?php if( !productive_ecommerce_is_productive_forms_active() ) { ?>
                                <a target="_blank" class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_REPO_URL; ?>">
                                    <?php echo esc_html__( 'Install plugin', 'productive-ecommerce' ); ?>
                                </a>
                            <?php } else { ?>
                                <a class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_ADMIN_OPTIONS_LINK; ?>">
                                    <?php echo esc_html__( 'Customize plugin', 'productive-ecommerce' ); ?>
                                </a>
                            <?php } ?>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
        <div class="clear_min"></div>
    </div>
    <div class="productive-global-admin-content-container">
        <div class="productiveminds_double_grid column_100">
            <div class="productiveminds_double_grid_content">
                <div class="get-pro-features-box-list">
                    <h3 class=""><?php echo __( 'Leave a Review', 'productive-ecommerce' ); ?></h3>
                    <div>
                        <?php echo __( 'Share your insights, support our efforts, engage with fellow users, and influence future enhancements. Your feedback is invaluable.', 'productive-ecommerce' ); ?>
                    </div>
                    <div class="productive-global-block-link-container">
                        <a target="_blank" class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_THEME_REVIEW_ON_REPO_URL; ?>">
                            <?php echo esc_html__( 'Kindly submit a review', 'productive-ecommerce' ); ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="clear_min"></div>
    </div>
    <div class="productive-global-admin-content-container">
        <div class="productiveminds_double_grid column_100">
            <div class="productiveminds_double_grid_content">
                <div class="get-pro-features-box-list">
                    <h3 class=""><?php echo __( 'Premium Support', 'productive-ecommerce' ); ?></h3>
                    <div>
                        <?php echo __( 'Submit a support ticket with ease to receive prompt premium assistance with Pro', 'productive-ecommerce' ); ?>
                    </div>
                    <div class="productive-global-block-link-container">
                        <a target="_blank" class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_THEME_SUPPORT_URL; ?>">
                            <?php echo esc_html__( 'Access Support', 'productive-ecommerce' ); ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="clear_min"></div>
    </div>
    <div class="productive-global-admin-content-container">
        <div class="productiveminds_double_grid column_100">
            <div class="productiveminds_double_grid_content">
                <div class="get-pro-features-box-list">
                    <h3 class=""><?php echo __( 'Documentation', 'productive-ecommerce' ); ?></h3>
                    <div>
                        <?php echo __( 'Seeking user guides for configuring this theme on your website?', 'productive-ecommerce' ); ?>
                    </div>
                    <div class="productive-global-block-link-container">
                        <a target="_blank" class="standard-link" href="<?php echo PRODUCTIVE_ECOMMERCE_THEME_DOCUMENTATION_URL; ?>">
                            <?php echo esc_html__( 'Access documentation', 'productive-ecommerce' ); ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="clear_min"></div>
    </div>
<?php
}

