/**
 * @package productive-ecommerce
 */

if( 'default' === productive_parent_theme_js_handle_name.productive_ecommerce_header_megamenu_option ) {
    const header_big_screen_nav_ul_elements = document.querySelectorAll( ".site_header_nav_big_screen ul#productiveminds-header-nav ul" );
    productiveminds_theme_menu_icons_uls( header_big_screen_nav_ul_elements, "site_header_nav_big_screen" );
    const header_global_screen_nav_ul_elements = document.querySelectorAll( ".site_header_nav_global_screen ul#productiveminds-header-nav ul" );
    productiveminds_theme_menu_icons_uls( header_global_screen_nav_ul_elements, "site_header_nav_global_screen" );
    function productiveminds_theme_menu_icons_uls( el_objects, source ) {
        for( i = 0; i < el_objects.length; i++ ) {
            let header_top_nav_ul_element = el_objects[i];
            //let header_nav_anchor_element = header_top_nav_ul_element.parentElement.querySelector( "a" );
            let header_nav_anchor_element = header_top_nav_ul_element.previousElementSibling;
            let more_anchor_button = document.createElement('button');
            more_anchor_button.setAttribute( "aria-label", productive_parent_theme_js_handle_name.text_submenu );
            more_anchor_button.innerHTML = productive_parent_theme_js_handle_name.productive_nav_more_icon + '<span class="screen-reader-text">' + productive_parent_theme_js_handle_name.text_submenu;
            header_nav_anchor_element.append( more_anchor_button );
            // toggle when icon is clicked
            more_anchor_button.addEventListener("click", function(e) {
                e.preventDefault();
                let menu_ul_block = this.parentElement.parentElement.querySelector("ul");
                productiveminds_theme_do_menu_item_click_action( menu_ul_block, source );
            });
            if( "site_header_nav_big_screen" === source ) {
                more_anchor_button.addEventListener("mouseleave", function(e) {
                    e.preventDefault();
                    this.parentElement.parentElement.querySelector("ul").classList.add("menu_block_is_viz");
                    this.parentElement.parentElement.querySelector("ul").style = "";
                });
                more_anchor_button.parentElement.parentElement.querySelector("ul").classList.add("menu_block_is_viz");
            }
        }
    }
    
    const header_big_screen_nav_div_elements = document.querySelectorAll( ".site_header_nav_big_screen div#productiveminds-header-nav ul ul" );
    productiveminds_theme_menu_icons_divs( header_big_screen_nav_div_elements, "site_header_nav_big_screen" );
    const header_global_nav_div_elements = document.querySelectorAll( ".site_header_nav_global_screen div#productiveminds-header-nav ul ul" );
    productiveminds_theme_menu_icons_divs( header_global_nav_div_elements, "site_header_nav_global_screen" );
    function productiveminds_theme_menu_icons_divs( el_objects, source ) {
        for( i = 0; i < el_objects.length; i++ ) {
            let header_top_nav_ul_element = el_objects[i];
            let more_anchor_button = document.createElement('button');
            more_anchor_button.setAttribute( "aria-label", productive_parent_theme_js_handle_name.text_submenu );
            more_anchor_button.innerHTML = productive_parent_theme_js_handle_name.productive_nav_more_icon + '<span class="screen-reader-text">' + productive_parent_theme_js_handle_name.text_submenu;
            header_top_nav_ul_element.append( more_anchor_button );
            // toggle when icon is clicked
            more_anchor_button.addEventListener("click", function(e) {
                e.preventDefault();
                let menu_ul_block = this.parentElement.querySelector("div");
                productiveminds_theme_do_menu_item_click_action( menu_ul_block, source );
            });
            if( "site_header_nav_big_screen" === source ) {
                more_anchor_button.addEventListener("mouseleave", function(e) {
                    e.preventDefault();
                    this.parentElement.querySelector("div").classList.add("menu_block_is_viz");
                    this.parentElement.querySelector("div").style = "";
                });
                more_anchor_button.parentElement.querySelector("div").classList.add("menu_block_is_viz");
            }
        }
    }
    function productiveminds_theme_do_menu_item_click_action( menu_ul_block, source ) {
        if( menu_ul_block.classList.contains( "menu_block_is_viz" ) ) {
            menu_ul_block.style.display = "none";
            menu_ul_block.classList.remove( "menu_block_is_viz" );
        } else {
            menu_ul_block.style.display = "block";
            menu_ul_block.classList.add( "menu_block_is_viz" );
        }
    }
}
let site_header_search_icon = document.querySelector(".site-header-search-icon.parent_theme");
if( null !== site_header_search_icon && undefined !== site_header_search_icon) {
    site_header_search_icon.addEventListener("click", function(e) {
        e.preventDefault();
        let site_header_search_block = document.querySelector(".header_search_overlay");
        if( null !== site_header_search_block && undefined !== site_header_search_block) {
            site_header_search_block.classList.toggle("noned_but_only_applicable_in_smallscreen");
        }
    });
}
let woo_my_account_register_login_reset_container__show__register_box = document.querySelector(".my-account-register-login-reset-container__show__register-box");
if( null !== woo_my_account_register_login_reset_container__show__register_box && undefined !== woo_my_account_register_login_reset_container__show__register_box) {
    woo_my_account_register_login_reset_container__show__register_box.addEventListener("click", function(e) {
        productiveminds_theme_toggle_register_login_reset_blocks();
    });
}
let my_account_register_login_reset_container__show__login_box = document.querySelector(".my-account-register-login-reset-container__show__login-box");
if( null !== my_account_register_login_reset_container__show__login_box && undefined !== my_account_register_login_reset_container__show__login_box) {
    my_account_register_login_reset_container__show__login_box.addEventListener("click", function(e) {
        productiveminds_theme_toggle_register_login_reset_blocks();
    });
}
function productiveminds_theme_toggle_register_login_reset_blocks() {
    let login_box = document.querySelector(".my-account-register-login-reset-container_login-box");
    let register_box = document.querySelector(".my-account-register-login-reset-container_register-box");
    if( null !== login_box && undefined !== login_box) {
        login_box.classList.toggle("noned");
    }
    if( null !== register_box && undefined !== register_box) {
        register_box.classList.toggle("noned");
    }
}
