<?php
/**
 * @package    productive-ecommerce
 */


function productive_ecommerce_get_homepage_banner_with_image() {
    $productive_ecommerce_is_homepage_banner_width = productive_ecommerce_is_homepage_banner_width();
    $attachment_id = productive_ecommerce_homepage_usp_image();
    $productive_ecommerce_homepage_usp_image = productive_ecommerce_get_attachment_by_thumbnail_id($attachment_id);

?>
    <?php do_action('display_content_wrapper_full_full_top'); ?>
        <?php
            if( 'page_width_page_banner' == $productive_ecommerce_is_homepage_banner_width ) {
                do_action('display_content_wrapper_full_top'); 
            }
        ?>
        <div class="productiveminds_banner_container container_with_bg_image home centered productiveminds_banner_container-top-space-two productiveminds-alignable-container justify-items-center justify-content-center" style="background-image: url(<?php echo esc_url( $productive_ecommerce_homepage_usp_image ); ?>)">
            <div class="productiveminds-alignable-container_uno">
                <?php
                    if( 'full_width_page_banner' == $productive_ecommerce_is_homepage_banner_width ) {
                        do_action('display_content_wrapper_full_top'); 
                    }
                ?>
                <div class="productiveminds_banner_container_content_bg_overlay"></div>
                <div class="productiveminds_banner_container_content">
                    <?php do_action( 'display_productive_ecommerce_homepage_usp_textarea_1'); ?>
                    <?php do_action( 'display_productive_ecommerce_homepage_usp_textarea_2'); ?>
                    <div class="cta spacious align-content-center justify-content-center">
                        <?php do_action( 'display_productive_ecommerce_homepage_cta_1_title', 'cta1'); ?>
                        <?php do_action( 'display_productive_ecommerce_homepage_cta_2_title', 'cta2'); ?>
                    </div>
                </div>
                <?php
                    if( 'full_width_page_banner' == $productive_ecommerce_is_homepage_banner_width ) {
                        do_action('display_content_wrapper_full_bottom'); 
                    }
                ?>                
            </div>
        </div>
        <?php
            if( 'page_width_page_banner' == $productive_ecommerce_is_homepage_banner_width ) {
                do_action('display_content_wrapper_full_bottom'); 
            }
        ?>
    <?php do_action('display_content_wrapper_full_full_bottom'); ?>
<?php
}
add_action( 'display_productive_ecommerce_get_homepage_banner_with_image', 'productive_ecommerce_get_homepage_banner_with_image' );


function productive_ecommerce_get_homepage_banner_with_image_type_two() {
$attachment_id = productive_ecommerce_homepage_usp_image();
$productive_ecommerce_homepage_usp_image = productive_ecommerce_get_attachment_by_thumbnail_id($attachment_id);

?>
    <?php do_action('display_content_wrapper_full_without_uno_top'); ?>
        <div class="productiveminds_double_grid column_65_35 home-type-two column-gap-5px productiveminds_banner_container-top-space-five">
            <div class="productiveminds_double_grid_content">
                <div class="productiveminds_banner_container container_with_bg_image lefted home home-type-two-left productiveminds-alignable-container" style="background-image: url(<?php echo esc_url( $productive_ecommerce_homepage_usp_image ); ?>)">
                    <div class="productiveminds-alignable-container_uno">
                    <div class="productiveminds_banner_container_content_bg_overlay"></div>
                        <div class="productiveminds_banner_container_content">
                            <?php do_action( 'display_productive_ecommerce_homepage_usp_textarea_1'); ?>

                            <?php do_action( 'display_productive_ecommerce_homepage_usp_textarea_2'); ?>

                            <div class="cta spacious align-content-center justify-content-flex-start">
                                <?php do_action( 'display_productive_ecommerce_homepage_cta_1_title', 'cta1'); ?>
                                <?php //do_action( 'display_productive_ecommerce_homepage_cta_2_title', 'cta2'); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="productiveminds_double_grid_content">
                <div class="productiveminds-alignable-container justify-items-stretch align-content-stretch home-type-two-right-container height-100pc row-gap-5px">
                    <?php do_action( 'display_homepage_element_section_type_two' ); ?>
                </div>
            </div>
        </div>
    <?php do_action('display_content_wrapper_full_without_uno_bottom'); ?>
<?php
}
add_action( 'display_productive_ecommerce_get_homepage_banner_with_image_type_two', 'productive_ecommerce_get_homepage_banner_with_image_type_two' );


/**
* Method for productive_ecommerce_the_homepage_element_section_type_two
*/
function productive_ecommerce_the_homepage_element_section_type_two() {
    if ( productive_ecommerce_is_productive_style_active() || productive_ecommerce_is_productive_style_extra_active() ) {
        echo productive_style_element_get_homepage_element_section_type_two();
    } else {
       do_action( 'display_productive_ecommerce_the_homepage_element_placeholder' );
    }
}
add_action( 'display_homepage_element_section_type_two', 'productive_ecommerce_the_homepage_element_section_type_two');

/**
* Method for productive_style_element_get_homepage_element_section
*/
function productive_style_element_get_homepage_element_section_type_two() {
    // Required for type two
    $section_buttons_enabled = true; // productive_style_homepage_element_section_enable_button();
    $limit = productive_style_homepage_element_section_num_cols();
    
    $taxonomy_args = array(
        array(
            'taxonomy' => PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_TAXONOMY_SLUG,
            'field' => 'slug',
            'terms' => PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_TYPE_TWO_SLUG_HOMEPAGE_ELEMENT,
        )
    );
    $args = array(
        'post_type' => PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_SLUG,
        'posts_per_page' => $limit,
        'orderby' => 'menu_order ASC',
        'order' => 'ASC',
        'suppress_filters' => 0,
        'tax_query' => $taxonomy_args,
    );
    $productive_cpt = new WP_Query( $args );
    if ( $productive_cpt->have_posts() ) {
    ?>
        <?php 
            $counter = 1;
            while( $productive_cpt->have_posts() ) {
                $productive_cpt->the_post();
                $element_post_id = get_the_ID();
                $element_meta_object = get_post_meta( $element_post_id, '_pro_content_element', true );
                
                $section_icon_code = '';
                if ( !empty( $element_meta_object['cpt_icon'] ) ) {
                    $section_icon_code = sanitize_text_field( $element_meta_object['cpt_icon'] );
                }
                $section_cta_url = '';
                if ( !empty( $element_meta_object['cpt_url'] ) ) {
                    $section_cta_url = sanitize_text_field( $element_meta_object['cpt_url'] );
                }
                $section_cta_text = '';
                if ( !empty( $element_meta_object['cpt_url_text'] ) ) {
                    $section_cta_text = sanitize_text_field( $element_meta_object['cpt_url_text'] );
                }
                
                $content_alignment = 'lefted';
                $button_justify = 'justify-content-flex-start';
                if ( $counter % 2 == 0 ) { 
                    $content_alignment = 'righted'; 
                    $button_justify = 'justify-content-flex-end';
                }
            ?>
            <div class="productiveminds-alignable-container_uno">
                <div class="productiveminds_banner_container container_with_bg_image <?php echo esc_attr($content_alignment);?> home home-type-two-right productiveminds-alignable-container <?php echo esc_attr($button_justify);?>" style="background-image: url(<?php echo esc_url( get_the_post_thumbnail_url() ); ?>)">
                    <div class="productiveminds-alignable-container_uno">
                        <div class="productiveminds_banner_container_content_bg_overlay"></div>
                        <div class="productiveminds_banner_container_content homepage-element-type-2">
                            <div class="h6 homepage-element-type-2-title"><?php the_title(); ?></div> 
                            <div class="homepage-element-type-2-desc"><?php the_content(); ?></div>
                            <?php if ( $section_buttons_enabled ) { ?>
                                <div class="cta align-content-center <?php echo esc_attr($button_justify);?>">
                                    <a class="cta2" aria-label="<?php echo esc_attr($section_cta_text); ?>" 
                                       href="<?php echo esc_attr($section_cta_url); ?>">
                                        <?php echo esc_html($section_cta_text); ?>
                                    </a>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            </div>
            <?php
            $counter++;
            }
            wp_reset_postdata();
        ?>    
    <?php
    } else {
        do_action( 'display_productive_ecommerce_the_homepage_element_placeholder' );
    }
}


/**
* Method for productive_ecommerce_the_homepage_element_placeholder
*/
function productive_ecommerce_the_homepage_element_placeholder() {
    ?>
    <?php 
        $placeholder_contents = array(
            
        );
        $placeholder_contents[] = 1;
        $placeholder_contents[] = 2;
        foreach ($placeholder_contents as $key => $placeholder_content) {
            
            $section_background = '#c6ecfd';
            $content_alignment = 'lefted';
            $button_justify = 'justify-content-flex-start';
            $section_title = 'Lorem One';
            $section_content = 'What is lorem ipsum one?';
            $section_cta_text = 'Get Lorem';
            if ( $key == 1 ) { 
                $section_background = '#CEF9E6';
                $content_alignment = 'righted'; 
                $button_justify = 'justify-content-flex-end';
                $section_title = 'Lorem Two';
                $section_content = 'What is lorem ipsum two?';
                $section_cta_text = 'View Lorem';
            }
    ?>
    <div class="productiveminds-alignable-container_uno">
        <div class="productiveminds_banner_container container_with_bg_image <?php echo esc_attr($content_alignment);?> home home-type-two-right productiveminds-alignable-container <?php echo esc_attr($button_justify);?>" style="background: <?php echo esc_attr($section_background);?>">
            <div class="productiveminds-alignable-container_uno">
                <div class="productiveminds_banner_container_content_bg_overlay"></div>
                <div class="productiveminds_banner_container_content">
                    <div class="h5"><?php echo esc_html($section_title); ?></div> 
                    <div><?php echo esc_html($section_content); ?></div>
                    <div class="cta align-content-center <?php echo esc_attr($button_justify);?>">
                        <a class="cta2" ref="#"><?php echo esc_html($section_cta_text); ?></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php
    }
}
add_action( 'display_productive_ecommerce_the_homepage_element_placeholder', 'productive_ecommerce_the_homepage_element_placeholder');


/**
* Method for productive_ecommerce_the_homepage_element_section
*/
function productive_ecommerce_the_homepage_element_section() {
    if ( productive_ecommerce_is_productive_style_active() || productive_ecommerce_is_productive_style_extra_active() ) {
        $is_enabled = productive_style_homepage_element_section_enable();
        if ( $is_enabled ) {
            echo productive_style_element_get_homepage_element_section();
        }
    }
}
add_action( 'display_homepage_element_section', 'productive_ecommerce_the_homepage_element_section');


/**
* Method for productive_style_element_get_homepage_element_section
*/
function productive_style_element_get_homepage_element_section() {
    
    $section_title = productive_style_homepage_element_section_title();
    $section_intro = productive_style_homepage_element_section_intro();
    $columns_per_row = productive_style_homepage_element_section_num_cols();
    $section_rows = productive_style_homepage_element_section_num_rows();
    
    $alignable_container_justify_items_header = 'justify-items-start';    
    $alignable_container_layout_box = 'flexed-no-wrap column-gap-10px';    
    $alignable_container_layout_text = 'grided gap-zero';
    
    $limit = $columns_per_row * $section_rows; 
    
    $taxonomy_args = array(
        array(
            'taxonomy' => PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_TAXONOMY_SLUG,
            'field' => 'slug',
            'terms' => PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_TYPE_SLUG_HOMEPAGE_ELEMENT,
        )
    );
    $args = array(
        'post_type' => PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_SLUG,
        'posts_per_page' => $limit,
        'orderby' => 'menu_order ASC',
        'order' => 'ASC',
        'suppress_filters' => 0,
        'tax_query' => $taxonomy_args,
    );
    $productive_cpt = new WP_Query( $args );
    if ( $productive_cpt->have_posts() ) {
    
    $section_content_settings_unique_id = 'section_content_unique_id_'. rand();
    $section_initiator = 'std';
    $productiveminds_section_display = 'grided';
    ?>
        <?php do_action('display_content_wrapper_full_top'); ?>
        <div class="productiveminds_widget_container_home">
            
            <div class="productiveminds_section homepage-element <?php echo esc_attr( $productiveminds_section_display ); ?> <?php echo esc_attr( $section_initiator ); ?>" id="<?php echo esc_attr( $section_content_settings_unique_id ); ?>">
                <div class="productiveminds_section_uno">
                    <?php
                        $productiveminds_section_content_type = PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_SLUG;
                        $productiveminds_section_meta_key = PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_POST_TYPE_META_KEY;
                        $section_content_layout_format = 'list_lefted_top_down';
                        $section_show_content_title = 1;
                        $section_show_content_text = 1;
                        $section_content_show_url_button = 0;
                        // Styles
                        $productive_cpt_is_show_image_or_icon = 'icon';
                        $section_style_content_button_hover_animation = '';
                        $section_content_widget_specific_content = 0;

                        $misc = array(
                            'productive_cpt_is_show_image_or_icon'              => $productive_cpt_is_show_image_or_icon,
                            'section_content_show_url_button'                   => productive_style_homepage_element_section_enable_button(),
                            'section_style_content_button_hover_animation'      => $section_style_content_button_hover_animation,
                            'productiveminds_section_content_type'              => $productiveminds_section_content_type,
                            'productiveminds_section_meta_key'                  => $productiveminds_section_meta_key,
                            'section_content_widget_specific_content'           => $section_content_widget_specific_content,
                            'section_show_content_title'                        => $section_show_content_title,
                            'section_show_content_text'                         => $section_show_content_text,
                            'alignable_container_justify_items_header'          => $alignable_container_justify_items_header,
                            'alignable_container_layout_box'                    => $alignable_container_layout_box,
                            'alignable_container_layout_text'                   => $alignable_container_layout_text,
                        );

                        productive_style_render_header_std( $section_title, $section_intro, $misc );

                        productive_style_render_grid_std( $productive_cpt, $columns_per_row, $misc );
                    ?>
                </div>
            </div>
        </div>
    <div class="clear_min"></div>
        <?php do_action('display_content_wrapper_full_bottom'); ?>
    <?php
    }
}


/**
* Method for productive_ecommerce_the_homepage_service_element_section
*/
function productive_ecommerce_the_homepage_service_element_section() {
    if ( productive_ecommerce_is_productive_style_active() || productive_ecommerce_is_productive_style_extra_active() ) {
        $is_enabled = productive_style_homepage_service_element_section_enable();
        if ( $is_enabled ) {
            echo productive_style_element_get_service_element_section();
        }
    }
}
add_action( 'display_homepage_service_element_section', 'productive_ecommerce_the_homepage_service_element_section');

/**
* Method for productive_style_element_get_service_element_section
*/
function productive_style_element_get_service_element_section() {
    
    $section_title = productive_style_homepage_service_element_section_title();
    $section_intro = productive_style_homepage_service_element_section_intro();
    $section_cols = productive_style_homepage_service_element_section_num_cols();
    $section_rows = productive_style_homepage_service_element_section_num_rows();
    $section_buttons_enabled = productive_style_homepage_service_element_section_enable_button();
    $limit = $section_cols * $section_rows; 
    
    $args = array(
        'post_type' => PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_SLUG,
        'posts_per_page' => $limit,
        'orderby' => 'menu_order ASC',
        'order' => 'ASC',
        'suppress_filters' => 0,
    );
    
    $taxonomy_args = array(
        array(
            'taxonomy' => PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_TAXONOMY_SLUG,
            'field' => 'slug',
            'terms' => PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_TYPE_SLUG_HOMEPAGE_ELEMENT_SERVICE,
        )
    );
    $args = array(
        'post_type' => PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_SLUG,
        'posts_per_page' => $limit,
        'orderby' => 'menu_order ASC',
        'order' => 'ASC',
        'suppress_filters' => 0,
        'tax_query' => $taxonomy_args,
    );
    $productive_service_element = new WP_Query( $args );
    if ( $productive_service_element->have_posts() ) {
    ?>
    
        <div class="site-service-element-text-desc">
            <h2 class="section-title h2"><?php echo esc_html( $section_title ); ?></h2>
            <?php if ( !empty( $section_intro ) ) { ?>
                <div class="section-intro"><?php echo esc_html( $section_intro ); ?></div>
            <?php } ?>
            <div class="productiveminds_section columns-<?php echo esc_attr( $section_cols ); ?>">
            <div class="products-grid products columns-<?php echo esc_attr( $section_cols ); ?>">
                <?php
                    while( $productive_service_element->have_posts() ) {
                        $productive_service_element->the_post();
                        $element_post_id = get_the_ID();
                        $element_meta_object = get_post_meta( $element_post_id, '_pro_content_element', true );
                        $section_icon_code = '';
                        if ( !empty( $element_meta_object['cpt_icon'] ) ) {
                            $section_icon_code = sanitize_text_field( $element_meta_object['cpt_icon'] );
                        }
                        $section_cta_url = '';
                        if ( !empty( $element_meta_object['cpt_url'] ) ) {
                            $section_cta_url = sanitize_text_field( $element_meta_object['cpt_url'] );
                        }
                        $section_cta_text = '';
                        if ( !empty( $element_meta_object['cpt_url_text'] ) ) {
                            $section_cta_text = sanitize_text_field( $element_meta_object['cpt_url_text'] );
                        }
                    ?>
                    <div class="product">
                        <div class="the_search_item">
                            <?php
                                $attr = array (
                                    'alt' => get_the_title(),
                                );
                                the_post_thumbnail( 'full', $attr ); 
                            ?>
                            <div class="h4"><?php the_title(); ?></div>   
                            <?php if ( !empty( $section_icon_code ) ) { ?>
                            <i class="fa <?php echo esc_attr($section_icon_code); ?> homepage_service_element_section_icon_style"></i>
                            <?php } ?>
                            <div>
                                <?php 
                                the_content();
                                ?>
                            </div>
                            
                            <?php 
                                if ( $section_buttons_enabled ) {
                            ?>
                            <a class="homepage_service_element_section_button_style" aria-label="<?php echo esc_attr($section_cta_text); ?>" href="<?php echo esc_attr($section_cta_url); ?>">
                                <?php echo esc_html($section_cta_text); ?>
                                <span class="screen-reader-text"><?php esc_html_e('Read more about ', 'productive-ecommerce') . the_title(); ?></span>
                            </a>
                            <?php 
                                }
                            ?>
                        </div>
                    </div>
                    <?php
                    }
                    wp_reset_postdata();
                ?>
            </div>
            <div class="clear_min"></div>
            </div>
        </div>
    
    <?php
    }
}

/**
* Method for productive_ecommerce_the_homepage_bestsellers
*/
function productive_ecommerce_the_homepage_bestsellers() {
    $is_enabled = productive_ecommerce_homepage_products_bestsellers_enable();
    if ( productive_ecommerce_is_woocommerce_activated() && $is_enabled ) {
        $args = array(
            'numberposts'    => 1,
            'posts_per_page' => '1',
	);
        $product_exists = wc_get_products($args);
        if ( count($product_exists) ) {
            $section_title = productive_ecommerce_homepage_products_bestsellers_section_title();
            $section_cols = productive_ecommerce_homepage_products_bestsellers_num_cols();
            $section_rows = productive_ecommerce_homepage_products_bestsellers_num_rows();
            $limit = $section_cols * $section_rows;
            ?>
            <?php do_action('display_content_wrapper_full_top'); ?>
                <div class="productiveminds_widget_container_home">
                    <h2 class="section-title"><?php echo esc_html($section_title); ?></h2>
                    <div><?php echo do_shortcode('[products limit="' . esc_attr($limit) . '" columns="' . esc_attr($section_cols) . '" best_selling="true"]'); ?></div>
                </div>
            <?php do_action('display_content_wrapper_full_bottom'); ?>
            <?php
        }
    }
}
add_action( 'display_homepage_bestsellers', 'productive_ecommerce_the_homepage_bestsellers');

/**
* Method for productive_ecommerce_the_homepage_latest
*/
function productive_ecommerce_the_homepage_latest() {
    $is_enabled = productive_ecommerce_homepage_products_latest_enable();
    if ( productive_ecommerce_is_woocommerce_activated() && $is_enabled ) {
        $args = array(
            'numberposts'    => 1,
            'posts_per_page' => '1',
	);
        $product_exists = wc_get_products($args);
        if ( count($product_exists) ) {
            $section_title = productive_ecommerce_homepage_products_latest_section_title();
            $section_cols = productive_ecommerce_homepage_products_latest_num_cols();
            $section_rows = productive_ecommerce_homepage_products_latest_num_rows();
            $limit = $section_cols * $section_rows;
            ?>
            <?php do_action('display_content_wrapper_full_top'); ?>
                <div class="productiveminds_widget_container_home">
                    <h2 class="section-title"><?php echo esc_html($section_title); ?></h2>
                    <div><?php echo do_shortcode('[products limit="' . esc_attr($limit) . '" columns="' . esc_attr($section_cols) . '" orderby="id" order="DESC" visibility="visible"]'); ?></div>
                </div>
            <?php do_action('display_content_wrapper_full_bottom'); ?>
            <?php
        }
    }
}
add_action( 'display_homepage_latest', 'productive_ecommerce_the_homepage_latest');
