<?php
/**
 * Productive Plugins checks
 * @package productive-ecommerce
 */

// Customisers
require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/functions-customiser.php';

function productive_ecommerce_apply_custom_css() {
    $css_settings = productive_ecommerce_get_custom_css();
    $css =  '' .
        '.header-site-identity img.custom-logo {
            width: ' . $css_settings['productive_ecommerce_the_logo_size'] . 'px;
            padding-top: ' . $css_settings['productive_ecommerce_the_logo_vertical_spacing'] . 'px;
            padding-bottom: ' . $css_settings['productive_ecommerce_the_logo_vertical_spacing'] . 'px;
        }.footer-site-identity img.custom-logo {
            width: ' . $css_settings['productive_ecommerce_the_logo_size_footer'] . 'px;
        }.announcement-container.announcement-text-container {
            color: ' . $css_settings['productive_ecommerce_announcement_copy_text_color'] . ';
        }.announcement-container a {
            color: ' . $css_settings['productive_ecommerce_announcement_cta_text_color'] . ';
            border-radius: ' . $css_settings['productive_ecommerce_announcement_cta_shape'] . ';
            background: ' . $css_settings['productive_ecommerce_announcement_cta_bg_color'] . ';
        }.announcement-container a:hover {
            background: ' . $css_settings['productive_ecommerce_announcement_cta_bg_color_hover'] . ';
        }.site-body-container_box_full.header-announcement-container .close-productive-display-button-icon span.the_close_icon {
            color: ' . $css_settings['productive_ecommerce_announcement_close_btn_color'] . ';
        }.site-body-container_box_full.header-announcement-container {
            border-bottom: 1px solid ' . $css_settings['productive_ecommerce_announcement_banner_border_color'] . ';
        }.productiveminds_banner_container.home {
            height: ' . $css_settings['productive_ecommerce_is_homepage_banner_height'] . 'px;
        }.productiveminds_banner_container.home.type2 {
            height: auto;
        }.productiveminds_banner_container.home .flex-content-container-section {
            height: ' . $css_settings['productive_ecommerce_is_homepage_banner_height'] . 'px;
        }.productiveminds_banner_container.home .productiveminds_banner_container_content_text.top {
            color: ' . $css_settings['usp_1_text_color'] . ';
        }.productiveminds_banner_container.home .productiveminds_banner_container_content_text.bottom {
            color: ' . $css_settings['usp_2_text_color'] . ';
        }.productiveminds_banner_container.home .productiveminds_banner_container_content .cta a.cta1 {
            color: ' . $css_settings['cta_1_text_color'] . ';
            border-radius: ' . $css_settings['productive_ecommerce_homepage_cta_1_shape'] . ';
            background: ' . $css_settings['cta_1_bg_color'] . ';
        }.productiveminds_banner_container.home .productiveminds_banner_container_content .cta a.cta2 {
            color: ' . $css_settings['cta_2_text_color'] . ';
            border-color: ' . $css_settings['cta_2_text_color'] . ';
            border-radius: ' . $css_settings['productive_ecommerce_homepage_cta_2_shape'] . ';
            background: ' . $css_settings['cta_2_bg_color'] . ';
        }.productiveminds_banner_container.home .productiveminds_banner_container_content .cta a.cta1:hover {
            color: ' . $css_settings['cta_1_bg_color'] . ';
            background: ' . $css_settings['cta_1_text_color'] . ';
        }.productiveminds_banner_container.home .productiveminds_banner_container_content .cta a.cta2:hover {
            color: ' . $css_settings['cta_2_bg_color'] . ';
            border-color: ' . $css_settings['cta_2_text_color'] . ';
            background: ' . $css_settings['cta_2_text_color'] . ';
        }.site-header a.header-power-button-link {
            color: ' . $css_settings['productive_ecommerce_power_button_font_color'] . ';
            border-radius: ' . $css_settings['productive_ecommerce_power_button_shape'] . ';
            background: ' . $css_settings['productive_ecommerce_power_button_bg_color'] . ';
        }.site-header a.header-power-button-link:hover {
            color: ' . $css_settings['productive_ecommerce_power_button_font_color_hover'] . ';
            background: ' . $css_settings['productive_ecommerce_power_button_bg_color_hover'] . ';
        }.productive-blog-article .productive-blog-article-content {
            text-align: ' . $css_settings['productive_ecommerce_single_post_content_alignment'] . ';
        }';
        
    $productive_ecommerce_the_logo_container_value = intval( $css_settings['productive_ecommerce_the_logo_size'] ) + 20;
    $css .=  '' .
        '.header-container-box {
            grid-template-columns: ' . $productive_ecommerce_the_logo_container_value . 'px auto;
        }';
    
    if ( ( 'one-column.php' == get_page_template_slug() || 'one_column' == productive_ecommerce_template_layout_options() ) && 0 < intval( $css_settings['productive_ecommerce_single_post_content_container_width'] ) ) {
        $css .= '.productiveminds-blog-single-container {
            margin: 0 auto;
            width: ' . $css_settings['productive_ecommerce_single_post_content_container_width'] . 'px;
            max-width: ' . $css_settings['productive_ecommerce_single_post_content_container_width'] . 'px;
        }';
    }

    if ( ! productive_ecommerce_announcement_banner_bg_image() ) {
        $css .= '.site-body-container_box_full.header-announcement-container {
            background: ' . $css_settings['productive_ecommerce_announcement_banner_bg_color'] . ';
        }';
    }

    if ( $css_settings['productive_ecommerce_single_post_use_drop_caps'] ) {
        $css .= '.productive-blog-article .productive-blog-article-content p:first-letter {
            float: left;
            line-height: 90%;
            font-size: 360%;
            margin: 0.5rem 0.5rem 0 0;
        }';
    }

    if ( productive_ecommerce_is_productive_style_active($important = '') ) {

        $css_settings_banner_text_large = productive_ecommerce_get_custom_css_in_style_banner_text_large($important);
        if ( !empty($css_settings_banner_text_large ) ) {
            $css .= '.productiveminds_banner_container.home .productiveminds_banner_container_content_text.top {';
            foreach ( $css_settings_banner_text_large as $key => $value) {
               $css .= $value;
            }
            $css .= '}';
        }
        $css_settings_banner_text_small = productive_ecommerce_get_custom_css_in_style_banner_text_small($important);
        if ( !empty($css_settings_banner_text_small ) ) {
            $css .= '.productiveminds_banner_container.home .productiveminds_banner_container_content_text.bottom {';
            foreach ( $css_settings_banner_text_small as $key => $value) {
               $css .= $value;
            }
            $css .= '}';
        }
        $css_settings_banner_ctas = productive_ecommerce_get_custom_css_in_style_banner_ctas($important);
        if ( !empty($css_settings_banner_ctas ) ) {
            $css .= '.productiveminds_banner_container.home .productiveminds_banner_container_content .cta a, '
                    . '.productiveminds_banner_container.home .productiveminds_banner_container_content .cta a.cta2 {';
            foreach ( $css_settings_banner_ctas as $key => $value) {
               $css .= $value;
            }
            $css .= '}';
        }

        $css_settings_power_button = productive_ecommerce_get_custom_css_in_style_power_button($important);
        if ( !empty($css_settings_power_button ) ) {
            $css .= '.site-header a.header-power-button-link {';
            foreach ( $css_settings_power_button as $key => $value) {
               $css .= $value;
            }
            $css .= '}';
        }

    }
    
    // @media
    if( productive_ecommerce_is_productive_style_active() ) {
        $productive_style_homepage_element_section_num_cols_floatval = floatval( productive_style_homepage_element_section_num_cols() );
        $productive_ecommerce_is_homepage_banner_height_floatval = floatval( $css_settings['productive_ecommerce_is_homepage_banner_height'] );
        $content_element_right_heights = $productive_ecommerce_is_homepage_banner_height_floatval / $productive_style_homepage_element_section_num_cols_floatval;
        $css .= '@media (max-width: 768px) {';
        $css .= ''.
            '.productiveminds_banner_container.home.home-type-two-right {
                min-height: ' . $content_element_right_heights . 'px;
            }';
        $css .= '}';
    }

    return trim($css); 
}
function productive_ecommerce_get_custom_css($important = '') {
    $local_style_setting = array();
    
    $local_style_setting['productive_ecommerce_the_logo_size'] = productive_ecommerce_the_logo_size();
    $local_style_setting['productive_ecommerce_the_logo_vertical_spacing'] = productive_ecommerce_the_logo_vertical_spacing();
    $local_style_setting['productive_ecommerce_the_logo_size_footer'] = productive_ecommerce_the_logo_size_footer();
    
    $local_style_setting['productive_ecommerce_announcement_copy_text_color'] = productive_ecommerce_announcement_copy_text_color();
    $local_style_setting['productive_ecommerce_announcement_cta_text_color'] = productive_ecommerce_announcement_cta_text_color();
    $local_style_setting['productive_ecommerce_announcement_cta_bg_color'] = productive_ecommerce_announcement_cta_bg_color();
    $local_style_setting['productive_ecommerce_announcement_cta_bg_color_hover'] = productive_ecommerce_announcement_cta_bg_color_hover();
    $local_style_setting['productive_ecommerce_announcement_close_btn_color'] = productive_ecommerce_announcement_close_btn_color();
    $local_style_setting['productive_ecommerce_announcement_cta_shape'] = productive_ecommerce_get_button_radius_css ( productive_ecommerce_announcement_cta_shape() );
    $local_style_setting['productive_ecommerce_announcement_banner_bg_color'] = productive_ecommerce_announcement_banner_bg_color();
    $local_style_setting['productive_ecommerce_announcement_banner_border_color'] = productive_ecommerce_announcement_banner_border_color();
    
    $local_style_setting['productive_ecommerce_is_homepage_banner_height'] = productive_ecommerce_is_homepage_banner_height();
    
    $local_style_setting['usp_1_text_color'] = productive_ecommerce_homepage_usp_textarea_1_color();
    $local_style_setting['usp_2_text_color'] = productive_ecommerce_homepage_usp_textarea_2_color();
    
    $local_style_setting['cta_1_text_color'] = productive_ecommerce_homepage_cta_1_text_color();
    $local_style_setting['cta_1_bg_color'] = productive_ecommerce_homepage_cta_1_bg_color();
    $local_style_setting['cta_2_text_color'] = productive_ecommerce_homepage_cta_2_text_color();
    $local_style_setting['cta_2_bg_color'] = productive_ecommerce_homepage_cta_2_bg_color();
    $local_style_setting['productive_ecommerce_homepage_cta_1_shape'] = productive_ecommerce_get_button_radius_css ( productive_ecommerce_homepage_cta_1_shape() );
    $local_style_setting['productive_ecommerce_homepage_cta_2_shape'] = productive_ecommerce_get_button_radius_css ( productive_ecommerce_homepage_cta_2_shape() );
    
    $local_style_setting['productive_ecommerce_power_button_font_color'] = productive_ecommerce_power_button_font_color();
    $local_style_setting['productive_ecommerce_power_button_font_color_hover'] = productive_ecommerce_power_button_font_color_hover();
    $local_style_setting['productive_ecommerce_power_button_bg_color'] = productive_ecommerce_power_button_bg_color();
    $local_style_setting['productive_ecommerce_power_button_bg_color_hover'] = productive_ecommerce_power_button_bg_color_hover();
    $local_style_setting['productive_ecommerce_power_button_shape'] = productive_ecommerce_get_button_radius_css ( productive_ecommerce_power_button_shape() );
    
    $local_style_setting['productive_ecommerce_single_post_content_container_width'] = productive_ecommerce_single_post_content_container_width();
    $local_style_setting['productive_ecommerce_single_post_content_alignment'] = productive_ecommerce_single_post_content_alignment();
    
    $local_style_setting['productive_ecommerce_single_post_use_drop_caps'] = productive_ecommerce_single_post_use_drop_caps();
    
    return $local_style_setting;
}

function productive_ecommerce_get_custom_css_in_style_banner_text_large( $important = '' ) {
    $local_style_setting = array();
    if ( !empty(productive_ecommerce_banner_text_large_font_family()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_font_family'] = 'font-family: var(' . productive_ecommerce_banner_text_large_font_family() . ') ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_large_font_style()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_font_style'] = 'font-style: ' . productive_ecommerce_banner_text_large_font_style() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_large_font_size()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_font_size'] = 'font-size: ' . productive_ecommerce_banner_text_large_font_size() . 'rem ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_large_font_weight()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_font_weight'] = 'font-weight: ' . productive_ecommerce_banner_text_large_font_weight() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_large_line_height()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_line_height'] = 'line-height: ' . productive_ecommerce_banner_text_large_line_height() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_large_text_transform()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_text_transform'] = 'text-transform: ' . productive_ecommerce_banner_text_large_text_transform() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_large_text_decoration()) ) {
        $local_style_setting['productive_ecommerce_banner_text_large_text_decoration'] = 'text-decoration: ' . str_replace('_', ' ', productive_ecommerce_banner_text_large_text_decoration()) . ' ' . $important . '; ';
    }

    return $local_style_setting;
}

function productive_ecommerce_get_custom_css_in_style_banner_text_small( $important = '' ) {
    $local_style_setting = array();
    if ( !empty(productive_ecommerce_banner_text_small_font_family()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_font_family'] = 'font-family: var(' . productive_ecommerce_banner_text_small_font_family() . ') ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_small_font_style()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_font_style'] = 'font-style: ' . productive_ecommerce_banner_text_small_font_style() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_small_font_size()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_font_size'] = 'font-size: ' . productive_ecommerce_banner_text_small_font_size() . 'rem ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_small_font_weight()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_font_weight'] = 'font-weight: ' . productive_ecommerce_banner_text_small_font_weight() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_small_line_height()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_line_height'] = 'line-height: ' . productive_ecommerce_banner_text_small_line_height() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_small_text_transform()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_text_transform'] = 'text-transform: ' . productive_ecommerce_banner_text_small_text_transform() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_text_small_text_decoration()) ) {
        $local_style_setting['productive_ecommerce_banner_text_small_text_decoration'] = 'text-decoration: ' . str_replace('_', ' ', productive_ecommerce_banner_text_small_text_decoration()) . ' ' . $important . '; ';
    }
    return $local_style_setting;
}

function productive_ecommerce_get_custom_css_in_style_banner_ctas( $important = '' ) {
    $local_style_setting = array();
    if ( !empty(productive_ecommerce_banner_ctas_font_family()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_font_family'] = 'font-family: var(' . productive_ecommerce_banner_ctas_font_family() . ') ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_ctas_font_style()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_font_style'] = 'font-style: ' . productive_ecommerce_banner_ctas_font_style() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_ctas_font_size()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_font_size'] = 'font-size: ' . productive_ecommerce_banner_ctas_font_size() . 'rem ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_ctas_font_weight()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_font_weight'] = 'font-weight: ' . productive_ecommerce_banner_ctas_font_weight() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_ctas_line_height()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_line_height'] = 'line-height: ' . productive_ecommerce_banner_ctas_line_height() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_ctas_text_transform()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_text_transform'] = 'text-transform: ' . productive_ecommerce_banner_ctas_text_transform() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_banner_ctas_text_decoration()) ) {
        $local_style_setting['productive_ecommerce_banner_ctas_text_decoration'] = 'text-decoration: ' . str_replace('_', ' ', productive_ecommerce_banner_ctas_text_decoration()) . ' ' . $important . '; ';
    }
    return $local_style_setting;
}

function productive_ecommerce_get_custom_css_in_style_power_button( $important = '' ) {
    $local_style_setting = array();
    if ( !empty(productive_ecommerce_power_button_font_family()) ) {
        $local_style_setting['productive_ecommerce_power_button_font_family'] = 'font-family: var(' . productive_ecommerce_power_button_font_family() . ') ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_power_button_font_style()) ) {
        $local_style_setting['productive_ecommerce_power_button_font_style'] = 'font-style: ' . productive_ecommerce_power_button_font_style() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_power_button_font_size()) ) {
        $local_style_setting['productive_ecommerce_power_button_font_size'] = 'font-size: ' . productive_ecommerce_power_button_font_size() . 'rem ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_power_button_font_weight()) ) {
        $local_style_setting['productive_ecommerce_power_button_font_weight'] = 'font-weight: ' . productive_ecommerce_power_button_font_weight() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_power_button_line_height()) ) {
        $local_style_setting['productive_ecommerce_power_button_line_height'] = 'line-height: ' . productive_ecommerce_power_button_line_height() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_power_button_text_transform()) ) {
        $local_style_setting['productive_ecommerce_power_button_text_transform'] = 'text-transform: ' . productive_ecommerce_power_button_text_transform() . ' ' . $important . '; ';
    }
    if ( !empty(productive_ecommerce_power_button_text_decoration()) ) {
        $local_style_setting['productive_ecommerce_power_button_text_decoration'] = 'text-decoration: ' . str_replace('_', ' ', productive_ecommerce_power_button_text_decoration()) . ' ' . $important . '; ';
    }
    return $local_style_setting;
}
