<?php
/**
 * @package   @package productive-ecommerce
 */

if ( !function_exists('productive_theme_dashboard_items') ) {
    
    function productive_theme_dashboard_items_cpt() {
        
        $items = array();
        
        if ( productiveminds_is_productive_content_element() ) {
            $content_element = array(
                'singular' => __( 'Content Element', 'productive-ecommerce' ),
                'plural' => __( 'Content Elements', 'productive-ecommerce' ),
                'slug' => 'pro_content_element',
                'content' => __( 'manage content for display throughout your website.', 'productive-ecommerce' ),
                'taxonomy_slug' => 'content-element-type',
                'is_extra' => 0,
            );
            $items['element'] = $content_element;
        }
        
        if ( productiveminds_is_productive_faq() ) {
            $faq = array(
                'singular' => __( 'FAQ', 'productive-ecommerce' ),
                'plural' => __( 'FAQs', 'productive-ecommerce' ),
                'slug' => 'pro_faq',
                'content' => __( 'Manage website FAQs', 'productive-ecommerce' ),
                'taxonomy_slug' => 'faq-category',
                'is_extra' => 1,
            );
            $items['faq'] = $faq;
        }
        
        if ( productiveminds_is_productive_team() ) {
            $team = array(
                'singular' => __( 'Team Member', 'productive-ecommerce' ),
                'plural' => __( 'Team Members', 'productive-ecommerce' ),
                'slug' => 'pro_team',
                'content' => __( 'Manage team members and Elements', 'productive-ecommerce' ),
                'taxonomy_slug' => '',
                'is_extra' => 1,
            );
            $items['team'] = $team;
        }
        
        if (productiveminds_is_productive_testimonial() ) {
            $testimonial = array(
                'singular' => __( 'Testimonial', 'productive-ecommerce' ),
                'plural' => __( 'Testimonials', 'productive-ecommerce' ),
                'slug' => 'pro_testimonial',
                'content' => __( 'Manage website testimonials', 'productive-ecommerce' ),
                'taxonomy_slug' => '',
                'is_extra' => 1,
            );
            $items['testimonial'] = $testimonial;
        }
        
        return $items;
    }
    
    
    function productive_theme_dashboard_items_customizer() {
        
        $items = array();
        $is_forms = productive_ecommerce_is_productive_forms_active();
        $is_style = productive_ecommerce_is_productive_style_active();
        $is_style_extra = productive_ecommerce_is_productive_style_extra_active();
        
        $url1 = admin_url( 'customize.php?autofocus[section]=title_tagline' );
        $customizer_1 = array(
            'customizer' => __( 'Site Identity', 'productive-ecommerce' ),
            'slug' => 'identity',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Logo, site name, favicon', 'productive-ecommerce' ),
            'url' => $url1,
            'is_extra' => 0,
        );
        $items['identity'] = $customizer_1;
        
        if( $is_style ) {
            $url2a = admin_url( 'customize.php?autofocus[panel]=productive_style_theme_options_homepage' );
        } else {
            $url2a = admin_url( 'customize.php?autofocus[panel]=productive_ecommerce_theme_homepage_options' );
        }
        $customizer_2a = array(
            'customizer' => __( 'Homepage', 'productive-ecommerce' ),
            'slug' => 'homepage',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Control banner and content', 'productive-ecommerce' ),
            'url' => $url2a,
            'is_extra' => 0,
        );
        $items['homepage'] = $customizer_2a;
        
        $url2b = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_homepage_options_banner_background' );
        $customizer_2b = array(
            'customizer' => __( 'Homepage Banner', 'productive-ecommerce' ),
            'slug' => 'homepage_banner_switch',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Switch to a different banner design', 'productive-ecommerce' ),
            'url' => $url2b,
            'is_extra' => 1,
        );
        $items['homepage_banner_switch'] = $customizer_2b;
        
        if( $is_style ) {
            $url3a = admin_url( 'customize.php?autofocus[section]=productive_style_all_headings_font_typography_options' );
        } else {
            $url3a = PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_REPO_URL;
        }
        $customizer_3a = array(
            'customizer' => __( 'Headings Typography', 'productive-ecommerce' ),
            'slug' => 'typography_headings',
            'plugin' => 'productive_style',
            'plugin_exists' => $is_style,
            'content' => __( 'Fonts typography for h1, h2, h3, h4...', 'productive-ecommerce' ),
            'url' => $url3a,
            'is_extra' => 0,
        );
        $items['typography_headings'] = $customizer_3a;
        
        if( $is_style ) {
            $url3b = admin_url( 'customize.php?autofocus[section]=productive_style_body_font_typography_options' );
        } else {
            $url3b = PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_REPO_URL;
        }
        $customizer_3b = array(
            'customizer' => __( 'Site Body Typography', 'productive-ecommerce' ),
            'slug' => 'typography_body',
            'plugin' => 'productive_style',
            'plugin_exists' => $is_style,
            'content' => __( 'Site-wide body Fonts', 'productive-ecommerce' ),
            'url' => $url3b,
            'is_extra' => 0,
        );
        $items['typography_body'] = $customizer_3b;
        
        $url3c = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_color_scheme_options' );
        $customizer_3c = array(
            'customizer' => __( 'Switch Colour Schemes', 'productive-ecommerce' ),
            'slug' => 'colour_scheme',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'With one-click, change all colours', 'productive-ecommerce' ),
            'url' => $url3c,
            'is_extra' => 1,
        );
        $items['colour_scheme'] = $customizer_3c;
        
        $url3d = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_sitewide_colors_options' );
        $customizer_3d = array(
            'customizer' => __( 'Individual Colours', 'productive-ecommerce' ),
            'slug' => 'sitewide_colors',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Customize each site colours', 'productive-ecommerce' ),
            'url' => $url3d,
            'is_extra' => 1,
        );
        $items['sitewide_colors'] = $customizer_3d;
        
        $url4 = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_layout_options' );
        $customizer_4 = array(
            'customizer' => __( 'Website Layout', 'productive-ecommerce' ),
            'slug' => 'layout',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( '1 column, left or right sidebars, 3 columns', 'productive-ecommerce' ),
            'url' => $url4,
            'is_extra' => 0,
        );
        $items['layout'] = $customizer_4;
        
        if( productive_ecommerce_is_woocommerce_activated() ) {
            $url5 = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_theme_commerce_product_page' );
            $customizer_5 = array(
                'customizer' => __( 'Product Page', 'productive-ecommerce' ),
                'slug' => 'woo_product_page',
                'plugin' => 'in_theme',
                'plugin_exists' => true,
                'content' => __( 'Customize Product Page', 'productive-ecommerce' ),
                'url' => $url5,
                'is_extra' => 1,
            );
            $items['woo_product_page'] = $customizer_5;

            $url6a = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_theme_commerce_categories' );
            $customizer_6a = array(
                'customizer' => __( 'Product Archives', 'productive-ecommerce' ),
                'slug' => 'woo_product_archive',
                'plugin' => 'in_theme',
                'plugin_exists' => true,
                'content' => __( 'Shop and Product categories', 'productive-ecommerce' ),
                'url' => $url6a,
                'is_extra' => 1,
            );
            $items['woo_product_archive'] = $customizer_6a;

            $url6b = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_theme_commerce_generic' );
            $customizer_6b = array(
                'customizer' => __( 'WooCommerce Options', 'productive-ecommerce' ),
                'slug' => 'woo_generic_options',
                'plugin' => 'in_theme',
                'plugin_exists' => true,
                'content' => __( 'General WooCommerce options', 'productive-ecommerce' ),
                'url' => $url6b,
                'is_extra' => 0,
            );
            $items['woo_generic_options'] = $customizer_6b;
        }
        
        $url7a = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_theme_header' );
        $customizer_7a = array(
            'customizer' => __( 'Header Option', 'productive-ecommerce' ),
            'slug' => 'header',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Website header  style and content', 'productive-ecommerce' ),
            'url' => $url7a,
            'is_extra' => 0,
        );
        $items['header'] = $customizer_7a;
        
        $url7b = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_theme_header' );
        $customizer_7b = array(
            'customizer' => __( 'Switch Header Design', 'productive-ecommerce' ),
            'slug' => 'header_design',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Change design and colour mode', 'productive-ecommerce' ),
            'url' => $url7b,
            'is_extra' => 1,
        );
        $items['header_design'] = $customizer_7b;
        
        $url7c = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_localization_options' );
        $customizer_7c = array(
            'customizer' => __( 'Localization', 'productive-ecommerce' ),
            'slug' => 'header_localisation',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Language & Currency switcher options', 'productive-ecommerce' ),
            'url' => $url7c,
            'is_extra' => 1,
        );
        $items['header_localisation'] = $customizer_7c;
        
        $url8a = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_footer_options' );
        $customizer_8a = array(
            'customizer' => __( 'Footer Options', 'productive-ecommerce' ),
            'slug' => 'footer',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Website footer style and content', 'productive-ecommerce' ),
            'url' => $url8a,
            'is_extra' => 0,
        );
        $items['footer'] = $customizer_8a;
        
        $url8b = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_footer_options' );
        $customizer_8b = array(
            'customizer' => __( 'Switch Footer Design', 'productive-ecommerce' ),
            'slug' => 'footer_design',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Change design and colour mode', 'productive-ecommerce' ),
            'url' => $url8b,
            'is_extra' => 1,
        );
        $items['footer_design'] = $customizer_8b;
        
        $url9 = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_404_options' );
        $customizer_9 = array(
            'customizer' => __( '404 Page', 'productive-ecommerce' ),
            'slug' => 'page_404',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Make page 404 interesting', 'productive-ecommerce' ),
            'url' => $url9,
            'is_extra' => 0,
        );
        $items['page_404'] = $customizer_9;
        
        if( $is_forms ) {
            $url11 = admin_url( 'customize.php?autofocus[section]=productive_forms_header_contact_section_options' );
        } else {
            $url11 = PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_REPO_URL;
        }
        $customizer_11 = array(
            'customizer' => __( 'Header Contact Section', 'productive-ecommerce' ),
            'slug' => 'header_contact_section',
            'plugin' => 'productive_forms',
            'plugin_exists' => $is_forms,
            'content' => __( 'Body color and background', 'productive-ecommerce' ),
            'url' => $url11,
            'is_extra' => 0,
        );
        $items['header_contact_section'] = $customizer_11;
        
        $url12 = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_homepage_blog_options' );
        $customizer_12 = array(
            'customizer' => __( 'Blog Archive', 'productive-ecommerce' ),
            'slug' => 'blog_archive',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Content and controls options', 'productive-ecommerce' ),
            'url' => $url12,
            'is_extra' => 0,
        );
        $items['blog_archive'] = $customizer_12;
        
        $url13 = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_homepage_blog_single_options' );
        $customizer_13 = array(
            'customizer' => __( 'Blog Page', 'productive-ecommerce' ),
            'slug' => 'blog_signle',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Content and controls options', 'productive-ecommerce' ),
            'url' => $url13,
            'is_extra' => 0,
        );
        $items['blog_signle'] = $customizer_13;
        
        $url13b = admin_url( 'customize.php?autofocus[section]=productive_ecommerce_homepage_blog_single_options' );
        $customizer_13b = array(
            'customizer' => __( 'Blog Page Width', 'productive-ecommerce' ),
            'slug' => 'blog_signle_extra',
            'plugin' => 'in_theme',
            'plugin_exists' => true,
            'content' => __( 'Be specific about blog page width', 'productive-ecommerce' ),
            'url' => $url13b,
            'is_extra' => 1,
        );
        $items['blog_signle_extra'] = $customizer_13b;
        
        if( $is_forms ) {
            $url14 = admin_url( 'customize.php?autofocus[section]=productive_forms_newsletter_options' );
        } else {
            $url14 = PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_REPO_URL;
        }
        $customizer_14 = array(
            'customizer' => __( 'Newsletter Opt Ins', 'productive-ecommerce' ),
            'slug' => 'newsletter',
            'plugin' => 'productive_forms',
            'plugin_exists' => $is_forms,
            'content' => __( 'Activate newsletter opt-ins', 'productive-ecommerce' ),
            'url' => $url14,
            'is_extra' => 0,
        );
        $items['newsletter'] = $customizer_14;
        
        if( $is_style ) {
            $url15 = admin_url( 'customize.php?autofocus[section]=productive_style_breadcrumb_options' );
        } else {
            $url15 = PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_REPO_URL;
        }
        $customizer_15 = array(
            'customizer' => __( 'Breadcrumb Options', 'productive-ecommerce' ),
            'slug' => 'breadcrumb',
            'plugin' => 'productive_style',
            'plugin_exists' => $is_style,
            'content' => __( 'Display site-wide Breadcrumbs', 'productive-ecommerce' ),
            'url' => $url15,
            'is_extra' => 0,
        );
        $items['breadcrumb'] = $customizer_15;
        
        return $items;
    }
    
}
