<?php
/**
 *
 * @package     productive-ecommerce
 * @author      productiveminds.com
 * @copyright   productiveminds.com
 */

define( 'PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH', get_template_directory() );
define( 'PRODUCTIVE_ECOMMERCE_THEME_BASE_URI', get_template_directory_uri() );

require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/productiveminds-is-active.php';

define( 'PRODUCTIVE_ECOMMERCE_SITE_HOME_URL', home_url() );
define( 'PRODUCTIVE_ECOMMERCE_OPTION_EXTRAS_KEY', 'productive_ecommerce_extras_version' );

$productive_ecommerce_theme_version_obj = wp_get_theme();
$productive_ecommerce_theme_version = $productive_ecommerce_theme_version_obj->get( 'Version' );

$productiveminds_base_demo_url = 'https://demo.productiveminds.com';
$productiveminds_base_support_url = 'https://www.productiveminds.com/support';
$productiveminds_base_documentation_url = 'https://www.productiveminds.com/support/docs';

$theme_slug = $productive_ecommerce_theme_version_obj->get( 'TextDomain' );
$theme_name = $productive_ecommerce_theme_version_obj->get( 'Name' );
$theme_url = $productive_ecommerce_theme_version_obj->get( 'ThemeURI' );
$author_url = $productive_ecommerce_theme_version_obj->get( 'AuthorURI' );
$theme_demo_url = $productiveminds_base_demo_url . '/' . $theme_slug;
$theme_support_url = $productiveminds_base_support_url;
$theme_documentation_url = $productiveminds_base_documentation_url . '/' . $theme_slug;
$theme_repo_url = 'https://wordpress.org/themes/' . $theme_slug;
$theme_review_repo_url = 'https://wordpress.org/support/theme/' . $theme_slug . '/reviews';
$theme_review_pro_url  = $author_url . '/product-reviews/' . $theme_slug;
$theme_demo_importer_plugin_url = 'https://wordpress.org/plugins/' . 'productive-demo-importer';

define( 'PRODUCTIVE_ECOMMERCE_VERSION', $productive_ecommerce_theme_version );
define( 'PRODUCTIVE_ECOMMERCE_ADMIN_PAGE_REQUEST_URI', 'productive_ecommerce_admin_options' );
define( 'PRODUCTIVE_ECOMMERCE_WOO_SIDEBAR_TEXT', 'is_woo_sidebar' );

define( 'PRODUCTIVE_ECOMMERCE_OPTION_TAB_1_TITLE', esc_html__( 'Theme Dashboard', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_OPTION_TAB_PRO_TITLE', esc_html__( 'Free vs Pro', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_OPTION_TAB_PRO_STARTERS', esc_html__( 'Starter Templates', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_OPTION_TAB_LICENSE_TITLE', esc_html__( 'License', 'productive-ecommerce' ) );

define( 'PRODUCTIVE_ECOMMERCE_THEME_DEVELOPER_NAME', 'productiveminds.com' );
define( 'PRODUCTIVE_ECOMMERCE_THEME_DEVELOPER_WEBSITE', $author_url );
define( 'PRODUCTIVE_ECOMMERCE_CURRENT_THEME_NAME', $theme_name );
define( 'PRODUCTIVE_ECOMMERCE_CURRENT_THEME_TEXT_DOMAIN', $theme_slug );
define( 'PRODUCTIVE_ECOMMERCE_THEME_DEMO_URL', $theme_demo_url );

define( 'PRODUCTIVE_ECOMMERCE_THEME_SUPPORT_URL', $theme_support_url );
define( 'PRODUCTIVE_ECOMMERCE_THEME_DOCUMENTATION_URL', $theme_documentation_url );
define( 'PRODUCTIVE_ECOMMERCE_THEME_DEMO_IMPORTER_PLUGIN_URL', $theme_demo_importer_plugin_url );

define( 'PRODUCTIVE_ECOMMERCE_THEME_REVIEW_ON_REPO_URL', $theme_review_repo_url );
define( 'PRODUCTIVE_ECOMMERCE_THEME_REVIEW_ON_PRO_URL', $theme_review_pro_url );

define( 'PRODUCTIVE_ECOMMERCE_THEME_FEATURES_OR_BUY_URL', $theme_url );
define( 'PRODUCTIVE_ECOMMERCE_HOMEPAGE_USP_IMAGE_REMOTE', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/hero-1.webp' );

define( 'PRODUCTIVE_ECOMMERCE_OPTION_MENU_TITLE', __( 'Theme Dashboard', 'productive-ecommerce' ) );

define( 'PRODUCTIVE_ECOMMERCE_CURRENT_THEME_NAME_CUSTOMIZER_HOMEPAGE', esc_html__( 'Theme Homepage', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_CURRENT_THEME_NAME_CUSTOMIZER_WOOCOMMERCE', esc_html__( 'Theme WooCommerce', 'productive-ecommerce' ) );

define( 'PRODUCTIVE_ECOMMERCE_RECOMMENDED_PLUGINS_PAGE_TITLE', __( 'Recommended Plugins For Best Experience With ', 'productive-ecommerce' ) . PRODUCTIVE_ECOMMERCE_CURRENT_THEME_NAME );
define( 'PRODUCTIVE_ECOMMERCE_RECOMMENDED_PLUGINS_MENU_TITLE', __( 'Theme Plugins', 'productive-ecommerce' ) );

define( 'PRODUCTIVE_ECOMMERCE_ADMIN_OVERVIEW_REQUEST_URI', 'productive_options_overview' );

define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_TITLE', __( 'Productive Commerce', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_REPO_URL', 'https://wordpress.org/plugins/productive-commerce' );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_OUR_URL', PRODUCTIVE_ECOMMERCE_THEME_DEVELOPER_WEBSITE . '/product/productive-commerce' );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_COMMERCE_ADMIN_OPTIONS_LINK', admin_url( 'admin.php?page=productive_commerce_options_submenu' ) );

define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_TITLE', __( 'Productive Forms', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_REPO_URL', 'https://wordpress.org/plugins/productive-forms' );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_OUR_URL', PRODUCTIVE_ECOMMERCE_THEME_DEVELOPER_WEBSITE . '/product/productive-forms' );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_FORMS_ADMIN_OPTIONS_LINK', admin_url( 'admin.php?page=productive_forms_options_submenu' ) );

define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_TITLE', __( 'Productive Style', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_REPO_URL', 'https://wordpress.org/plugins/productive-style' );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_OUR_URL', PRODUCTIVE_ECOMMERCE_THEME_DEVELOPER_WEBSITE . '/product/productive-style' );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_STYLE_ADMIN_OPTIONS_LINK', admin_url( 'admin.php?page=productive_style_options_submenu' ) );

define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_DEMO_IMPORTER_TITLE', __( 'Productive Demo Importer', 'productive-ecommerce' ) );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_DEMO_IMPORTER_REPO_URL', 'https://wordpress.org/plugins/productive-demo-importer' );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_DEMO_IMPORTER_OUR_URL', PRODUCTIVE_ECOMMERCE_THEME_DEVELOPER_WEBSITE . '/product/productive-demo-importer' );
define( 'PRODUCTIVE_ECOMMERCE_PRODUCTIVE_PLUGIN_DEMO_IMPORTER_ADMIN_OPTIONS_LINK', admin_url( 'admin.php?page=productive_demo_importer_options_submenu' ) );

define( 'PRODUCTIVE_ECOMMERCE_THE_LOGO_WIDTH_DEFAULT', 100 );
define( 'PRODUCTIVE_ECOMMERCE_THE_LOGO_WIDTH_MIN', 60 );
define( 'PRODUCTIVE_ECOMMERCE_THE_LOGO_WIDTH_MAX', 300 );

define( 'PRODUCTIVE_ECOMMERCE_THE_BANNER_HEIGHT_DEFAULT', 400 );
define( 'PRODUCTIVE_ECOMMERCE_THE_BANNER_HEIGHT_MIN', 350 );
define( 'PRODUCTIVE_ECOMMERCE_THE_BANNER_HEIGHT_MAX', 1000 );

define( 'PRODUCTIVE_ECOMMERCE_THEME_CONTENT_MIN_WIDTH', 700 );
define( 'PRODUCTIVE_ECOMMERCE_THEME_CONTENT_DEFAULT_WIDTH', 1280 );
define( 'PRODUCTIVE_ECOMMERCE_THEME_CONTENT_CUSTOMIZER_STEPS', 100 );

define( 'PRODUCTIVE_ECOMMERCE_THEME_SCRIPTS_NONCE', 'productive_ecommerce_theme_scripts_nonce' );

define( 'PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_SLUG' , 'pro_content_element');
define( 'PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_POST_TYPE_META_KEY', '_pro_content_element' );
define( 'PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_TAXONOMY_SLUG' , 'content-element-type');
define( 'PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_TYPE_SLUG_HOMEPAGE_ELEMENT' , 'h-e-type1-productive-banner');
define( 'PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_TYPE_TWO_SLUG_HOMEPAGE_ELEMENT' , 'h-e-type2-productive-banner');
define( 'PRODUCTIVE_ECOMMERCE_PLUGIN_CONTENT_ELEMENT_TYPE_SLUG_HOMEPAGE_ELEMENT_SERVICE' , 'h-e-services-content');

define( 'PRODUCTIVE_ECOMMERCE_WOOCOMMERCE_SIDEBAR_ID', 'sidebar-1' );

$productive_ecommerce_posts_placeholder_image_remote = PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/images/posts-placeholder.webp';

// Ensure to include customiser before WooCommerce includes
require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/productive-theme-customiser.php';

require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/productive-theme-render-functions.php';

define( 'PRODUCTIVE_ECOMMERCE_CUSTOMIZER_show_top_banner' , productive_ecommerce_show_top_banner() );
define( 'PRODUCTIVE_ECOMMERCE_CUSTOMIZER_template_layout_options' , productive_ecommerce_template_layout_options() );

if( productive_ecommerce_is_productive_forms_active() ) {
    define( 'PRODUCTIVE_ECOMMERCE_CUSTOMIZER_header_contact_section_switch_on' , productive_forms_header_contact_section_switch_on() );
}

if( productive_ecommerce_is_productive_style_active() ) {
    define( 'PRODUCTIVE_ECOMMERCE_CUSTOMIZER_breadcrumb_switch_on' , productive_style_breadcrumb_switch_on() );
    define( 'PRODUCTIVE_ECOMMERCE_CUSTOMIZER_breadcrumb_disable_on_pages' , productive_style_breadcrumb_disable_on_pages() );

    function productive_style_render_breadcrumb_is_active_on_page() {
        $productive_style_breadcrumb_css_class = '';
        if( is_page() && (PRODUCTIVE_ECOMMERCE_CUSTOMIZER_breadcrumb_switch_on && !PRODUCTIVE_ECOMMERCE_CUSTOMIZER_breadcrumb_disable_on_pages) || (!is_page() && PRODUCTIVE_ECOMMERCE_CUSTOMIZER_breadcrumb_switch_on) ) {
            $productive_style_breadcrumb_css_class = 'productive_breadcrumb_is_active_on_page';
        }
        return $productive_style_breadcrumb_css_class;
    }
}

/**
 * WooCommerce includes
 */
require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/woocommerce.php';

require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/theme-global-popup.php';

$productive_ecommerce_is_wc_activated = productive_ecommerce_is_woocommerce_activated();
$is_productive_commerce = productive_ecommerce_is_productive_commerce_active();
$productive_ecommerce_customiser_show_search_icon    = productive_ecommerce_enable_header_search();
$productive_ecommerce_customiser_show_account_icon   = productive_ecommerce_enable_header_account() && $productive_ecommerce_is_wc_activated;
$productive_ecommerce_customiser_show_cart_icon      = productive_ecommerce_enable_header_cart() && $productive_ecommerce_is_wc_activated;
$productive_ecommerce_customiser_show_wishlist_icon  = productive_ecommerce_enable_header_wishlist() && $is_productive_commerce && $productive_ecommerce_is_wc_activated;
$productive_ecommerce_customiser_show_compare_icon   = productive_ecommerce_enable_header_compare() && $is_productive_commerce && $productive_ecommerce_is_wc_activated;

if( function_exists( 'productiveminds_theme_extra_is_active' ) ) {
    $productive_ecommerce_customiser_show_currency_icon  = productive_ecommerce_enable_switch_currency() && productiveminds_is_currency_switcher_wcml() && $productive_ecommerce_is_wc_activated;
    $productive_ecommerce_customiser_show_language_icon  = productive_ecommerce_enable_switch_language() && productive_ecommerce_is_language_switcher_wpml();
}

/**
 * Method productiveminds_theme_is_active.
 */
function productiveminds_theme_is_active() {}

function productive_ecommerce_is_active() {}

/**
 * Method productive_ecommerce_body_open_action.
 *
 */
function productive_ecommerce_body_open_action() {
    echo '<a class="skip-link screen-reader-text" href="#site-content">' . __( 'Skip to content', 'productive-ecommerce' ) . '</a>';
}
add_action( 'productive_ecommerce_body_open', 'productive_ecommerce_body_open_action' );


/**
 * Register sidebar widgets
 */
function productive_ecommerce_productiveminds_widgets() {
    
    register_sidebar(
        array(
            'name' => __('Homepage Hero (replaces Banner)', 'productive-ecommerce'),
            'id' => 'homepage_hero_widget',
            'before_widget' => '<div class="productiveminds_widget_container_home">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('Homepage Content (above Blog)', 'productive-ecommerce'),
            'id' => 'homepage_content_widget_top',
            'before_widget' => '<div class="productiveminds_widget_container_home">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('Homepage Content (below Blog)', 'productive-ecommerce'),
            'id' => 'homepage_content_widget_bottom',
            'before_widget' => '<div class="productiveminds_widget_container_home">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('Left Sidebar', 'productive-ecommerce'),
            'id' => 'sidebar_left',
            'before_widget' => '<div class="productive_ecommerce_widget_container_sidebar">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('Right Sidebar', 'productive-ecommerce'),
            'id' => 'sidebar_right',
            'before_widget' => '<div class="productive_ecommerce_widget_container_sidebar">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
    register_sidebar(
        array(
            'name' => __('WooCommerce Sidebar', 'productive-ecommerce'),
            'id' => PRODUCTIVE_ECOMMERCE_WOOCOMMERCE_SIDEBAR_ID,
            'before_widget' => '<div class="productive_ecommerce_widget_container_sidebar">',
            'after_widget' => '</div>',
            'before_title' => '<h3>',
            'after_title' => '</h3>',
        )
        );
    
}
add_action( 'widgets_init', 'productive_ecommerce_productiveminds_widgets' );


/**
 * Method productive_ecommerce_get_placeholder_image.
 *
 * @return string
 */
function productive_ecommerce_get_placeholder_image() {
	global $productive_ecommerce_posts_placeholder_image_remote;
	$productive_ecommerce_posts_placeholder_image_id = productive_ecommerce_posts_placeholder_image();
	$productive_ecommerce_posts_placeholder_url = productive_ecommerce_get_attachment_by_thumbnail_id( $productive_ecommerce_posts_placeholder_image_id, 'full', $productive_ecommerce_posts_placeholder_image_remote );
	return $productive_ecommerce_posts_placeholder_url;
}

/**
 * Method productive_ecommerce_do_placeholder_image.
 */
function productive_ecommerce_do_placeholder_image() {
    global $productive_ecommerce_posts_placeholder_image_remote;
    $productive_ecommerce_posts_placeholder_image_id = productive_ecommerce_posts_placeholder_image();
    $productive_ecommerce_posts_placeholder_url = productive_ecommerce_get_attachment_by_thumbnail_id( $productive_ecommerce_posts_placeholder_image_id, 'full', $productive_ecommerce_posts_placeholder_image_remote );
    echo '<img src="' . esc_url( $productive_ecommerce_posts_placeholder_url ) . '" alt="" />';
}
add_action( 'display_placeholder_image', 'productive_ecommerce_do_placeholder_image' );


/**
 * Method productive_ecommerce_scripts.
 */
function productive_ecommerce_scripts() {
    
    global $productive_ecommerce_is_wc_activated, $productive_ecommerce_theme_version;
    
    wp_enqueue_style( 'productive_ecommerce_normalize', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/libraries/css/normalize.css', array(), $productive_ecommerce_theme_version );
    
    if ( !productive_ecommerce_is_productive_style_active() ) {
        wp_enqueue_style( 'productive_theme_local_fonts_styles', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/fonts/google-fonts.css', array(), $productive_ecommerce_theme_version );
    }
    
    // Swiper
    if ( !function_exists( 'productiveminds_library_swiper') ) {
        wp_enqueue_style( 'productiveminds_library_swiper_css', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/libraries/swiper/9-4-1/swiper-bundle.min.css', array(), $productive_ecommerce_theme_version );
        wp_enqueue_script( 'productiveminds_library_swiper_js', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/libraries/swiper/9-4-1/swiper-bundle.min.js', array(), $productive_ecommerce_theme_version, true );

        require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/libraries/swiper/productiveminds-library-swiper.php';
    }
    
    // Common assets
    if ( !function_exists( 'productiveminds_common_asset') ) {
        if( function_exists( 'productive_global_get_common_swiper_localize_script' ) ) {
            wp_enqueue_style( 'productiveminds_common_css', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/css/productiveminds-common-css.css', array(), $productive_ecommerce_theme_version );
            wp_style_add_data( 'productiveminds_common_css', 'rtl', 'replace' );
            
            wp_enqueue_script( 'productiveminds_common_js_handle', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/js/productiveminds-common-js.js', array( 'productiveminds_library_swiper_js' ), $productive_ecommerce_theme_version, true );
            
            $productiveminds_global_localize_script_vars = array();
            productive_global_get_common_swiper_localize_script( $productiveminds_global_localize_script_vars );
            // Assign others
            productive_global_get_common_std_localize_script( $productiveminds_global_localize_script_vars );
            wp_localize_script(
                'productiveminds_common_js_handle',
                'productiveminds_common_js_name',
                $productiveminds_global_localize_script_vars
                );
            
            $custom_css_global = productive_global_apply_custom_css();
            wp_add_inline_style('productiveminds_common_css', $custom_css_global);
            
            require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/common/productiveminds-common-asset.php';
        }
    }
    
    //WooCommerce
    $productive_parent_theme_main_css_style_array = array();
    if( $productive_ecommerce_is_wc_activated ) {
        wp_enqueue_style( 'productive_parent_theme_woocommerce_css_style', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/css/woocommerce-styles.css', array( 'productive_ecommerce_normalize' ), $productive_ecommerce_theme_version );
        wp_style_add_data( 'productive_parent_theme_woocommerce_css_style', 'rtl', 'replace' );
        $productive_parent_theme_main_css_style_array = array('productive_parent_theme_woocommerce_css_style');
    }
    
    // theme's main css with normalise font as dependencies.
    wp_enqueue_style( 'productive_parent_theme_main_css_style', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/style.css', $productive_parent_theme_main_css_style_array, $productive_ecommerce_theme_version );
    wp_style_add_data( 'productive_parent_theme_main_css_style', 'rtl', 'replace' );
    
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
    
    // theme's JS.
    wp_enqueue_script( 'productive_parent_theme_js_handle', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/assets/js/theme.js', array(), $productive_ecommerce_theme_version, true );
    
    $productive_ecommerce_header_megamenu_option = productive_ecommerce_header_megamenu_option();
    $admin_ajax_php_class = array(
        'text_submenu' => __( 'Sub Menu', 'productive-ecommerce' ),
        'productive_ecommerce_header_megamenu_option' => $productive_ecommerce_header_megamenu_option,
        'productive_nav_more_icon' => '<svg class="productive_nav_more_icon" width="17" height="17" viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path class="productive_nav_more_icon_path" d="M1395 736q0 13-10 23l-466 466q-10 10-23 10t-23-10l-466-466q-10-10-10-23t10-23l50-50q10-10 23-10t23 10l393 393 393-393q10-10 23-10t23 10l50 50q10 10 10 23z"/></svg>',
        'productive_nav_more_icon_right' => '<svg class="productive_nav_more_icon right" width="17" height="17" viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path class="productive_nav_more_icon_path" d="M1395 736q0 13-10 23l-466 466q-10 10-23 10t-23-10l-466-466q-10-10-10-23t10-23l50-50q10-10 23-10t23 10l393 393 393-393q10-10 23-10t23 10l50 50q10 10 10 23z"/></svg>',
    );
    wp_localize_script(
    'productive_parent_theme_js_handle',
    'productive_parent_theme_js_handle_name',
    $admin_ajax_php_class
    );
}
add_action( 'wp_enqueue_scripts', 'productive_ecommerce_scripts', 79 );


/**
 * Load (wp_enqueue_script) admin css * JS files.
 */
function productive_ecommerce_admin_scripts() {
    global $productive_ecommerce_theme_version;
    // Admin Common assets
    if ( !function_exists( 'productiveminds_common_asset_admin') ) {
        wp_enqueue_style( 'wp-color-picker' );
        wp_enqueue_style( 'productive_ecommerce_admin_css', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/admin/css/admin-style.css', array(), $productive_ecommerce_theme_version );
        require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/admin/common/productiveminds-common-asset-admin.php';
    }
    wp_enqueue_script( 'productive_ecommerce_admin_js_handle', PRODUCTIVE_ECOMMERCE_THEME_BASE_URI . '/admin/js/admin-theme-ajax.js', array(), $productive_ecommerce_theme_version, true );
    
    $admin_ajax_php_class = array(
        'ajax_admin_url' => admin_url( 'admin-ajax.php' ),
    );
    wp_localize_script(
    'productive_ecommerce_admin_js_handle',
    'productive_ecommerce_admin_js_url_name',
    $admin_ajax_php_class
    );
}
if( is_admin() ) {
    add_action( 'admin_enqueue_scripts', 'productive_ecommerce_admin_scripts' );
}


/**
 * Method enable featured image.
 */
function productive_ecommerce_setup_theme() {
    
    add_theme_support('post-thumbnails');
    add_theme_support('wp-block-styles');
    add_theme_support('responsive-embeds');
    add_theme_support('custom-logo');
    add_theme_support('align-wide');
    add_theme_support('title-tag');
    add_theme_support('automatic-feed-links');
    
    $args = array(
        'style',
        'gallery',
        'caption',
        'script',
        'search-form',
        'comment-form',
        'comment-list',
        'navigation-widgets',
    );
    add_theme_support( 'html5', $args );
    
    /*
    * @link https://codex.wordpress.org/Theme_Logo
    */
    $logo_width  = 125;
    $logo_height = 48;
    add_theme_support(
        'custom-logo',
        array(
            'height'               => $logo_height,
            'width'                => $logo_width,
            'flex-width'           => true,
            'flex-height'          => true,
            'unlink-homepage-logo' => false,
        )
    );
    
    
    /* TODOs
    add_theme_support(
        'post-formats',
        array(
            'link',
            'aside',
            'gallery',
            'image',
            'quote',
            'status',
            'video',
            'audio',
            'chat',
        )
    );

    Add theme support for selective refresh for widgets.
    add_theme_support( 'customize-selective-refresh-widgets' );

    Enqueue editor styles.
    add_editor_style( '/assets/css/editor-styles.css' );

    Add support for Block Styles.
    add_theme_support( 'wp-block-styles' );
    */
    
    // Add support for full and wide align images.
    add_theme_support( 'align-wide' );

    // initiate text-domain.
    load_theme_textdomain( 'productive-ecommerce', PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/languages' );

}add_action( 'after_setup_theme', 'productive_ecommerce_setup_theme' );


function productive_ecommerce_is_any_productive_commerce_plugin_header_button_active() {
    global $productive_ecommerce_is_wc_activated;
    $is_productive_commerce                                 = productive_ecommerce_is_productive_commerce_active();
    $productive_ecommerce_is_wc_activated                   = productive_ecommerce_is_woocommerce_activated();
    $productive_ecommerce_customiser_show_cart_icon         = productive_ecommerce_enable_header_cart() && $productive_ecommerce_is_wc_activated;
    $productive_ecommerce_customiser_show_wishlist_icon     = productive_ecommerce_enable_header_wishlist() && $is_productive_commerce && $productive_ecommerce_is_wc_activated;
    $productive_ecommerce_customiser_show_compare_icon      = productive_ecommerce_enable_header_compare() && $is_productive_commerce && $productive_ecommerce_is_wc_activated;
    
    return $productive_ecommerce_customiser_show_cart_icon || $productive_ecommerce_customiser_show_wishlist_icon || $productive_ecommerce_customiser_show_compare_icon;
}


/**
 * Method productive_ecommerce_render_productive_commerce_plugin_header_buttons
 */
function productive_ecommerce_render_productive_commerce_plugin_header_buttons() {
    global $productive_ecommerce_is_wc_activated;
    $is_productive_commerce                                 = productive_ecommerce_is_productive_commerce_active();
    $productive_ecommerce_is_wc_activated                   = productive_ecommerce_is_woocommerce_activated();
    $productive_ecommerce_customiser_show_cart_icon         = productive_ecommerce_enable_header_cart() && $productive_ecommerce_is_wc_activated;
    $productive_ecommerce_customiser_show_wishlist_icon     = productive_ecommerce_enable_header_wishlist() && $is_productive_commerce && $productive_ecommerce_is_wc_activated;
    $productive_ecommerce_customiser_show_compare_icon      = productive_ecommerce_enable_header_compare() && $is_productive_commerce && $productive_ecommerce_is_wc_activated;
    
    if ( $productive_ecommerce_customiser_show_cart_icon ) {
        if ( productive_ecommerce_is_productive_commerce_active() && 'checked' == is_on_productive_commerce_minicart_enable() ) {
            do_action('productive_minicart_button'); 
        } else {
            do_action('productive_ecommerce_minicart_button'); 
        }
    }
    if ( $productive_ecommerce_customiser_show_wishlist_icon ) {
        do_action('productive_wishlist_button');
    }
    if ( $productive_ecommerce_customiser_show_compare_icon ) {
        do_action('productive_compare_button');
    }
}
add_action( 'display_theme_productive_commerce_plugin_header_buttons', 'productive_ecommerce_render_productive_commerce_plugin_header_buttons' );


/**
 * Method productive_ecommerce_the_custom_logo
 */
function productive_ecommerce_the_custom_logo() {
    if ( function_exists( 'the_custom_logo' ) ) {
        the_custom_logo();
    }
}

/**
 * Method productive_ecommerce_the_meta_description_header.
 */
function productive_ecommerce_the_meta_description_header() {
    $name = get_bloginfo( 'name' );
    $desc = get_bloginfo( 'name' );
    if( empty( $desc ) ) {
        $desc = $name;
    } 
    echo '<meta name="description" content="' . esc_attr($desc) . '">';
}
add_action( 'wp_head', 'productive_ecommerce_the_meta_description_header', 0 );

/**
 * Method productive_ecommerce_the_pingback_header.
 * Adds pingback url auto-discovery header.
 */
function productive_ecommerce_the_pingback_header() {
    if ( is_singular() && pings_open() ) {
            echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
    }
}
add_action( 'wp_head', 'productive_ecommerce_the_pingback_header' );

/**
 * Add hooks for the sidebar widgets.
 *
 * @param string $class css class name to use to wrap the sidebar.
 */
function productive_ecommerce_get_homepage_hero_widget( $class = '' ) {
    if ( is_active_sidebar( 'homepage_hero_widget' ) ) {
        if ( '' != $class ) {
            echo '<div class="' . esc_attr( $class ) . '">';
            if ( is_active_sidebar( 'homepage_hero_widget' ) ) {
                dynamic_sidebar( 'homepage_hero_widget' );
            }
            echo '</div>';
        } else {
            if ( is_active_sidebar( 'homepage_hero_widget' ) ) {
                dynamic_sidebar( 'homepage_hero_widget' );
            }
        }
    }
}
add_action( 'display_homepage_hero_widget', 'productive_ecommerce_get_homepage_hero_widget' );

/**
 * Method productive_ecommerce_get_homepage_content_widget_top.
 *
 * @param string $class ''.
 */
function productive_ecommerce_get_homepage_content_widget_top( $class = '' ) {
    if ( is_active_sidebar( 'homepage_content_widget_top' ) ) {
        if ( '' != $class ) {
            echo '<div class="' . esc_attr( $class ) . '">';
            if ( is_active_sidebar( 'homepage_content_widget_top' ) ) {
                dynamic_sidebar( 'homepage_content_widget_top' );
            }
            echo '</div>';
        } else {
            if ( is_active_sidebar( 'homepage_content_widget_top' ) ) {
                dynamic_sidebar( 'homepage_content_widget_top' );
            }
        }
    }
}
add_action( 'display_homepage_content_widget_top', 'productive_ecommerce_get_homepage_content_widget_top' );


/**
 * 
 * @param type $class
 */
function productive_ecommerce_get_homepage_content_widget_bottom( $class = '' ) {
    if ( is_active_sidebar( 'homepage_content_widget_bottom' ) ) {
        if ( '' != $class ) {
            echo '<div class="' . esc_attr( $class ) . '">';
            if ( is_active_sidebar( 'homepage_content_widget_bottom' ) ) {
                dynamic_sidebar( 'homepage_content_widget_bottom' );
            }
            echo '</div>';
        } else {
            if ( is_active_sidebar( 'homepage_content_widget_bottom' ) ) {
                dynamic_sidebar( 'homepage_content_widget_bottom' );
            }
        }
    }
}
add_action( 'display_homepage_content_widget_bottom', 'productive_ecommerce_get_homepage_content_widget_bottom' );


/**
 * 
 * @param type $productiveminds_theme_layout
 */
function productive_ecommerce_get_left_sidebar( $productiveminds_theme_layout = '' ) {
    if ( 'two_columns_left' == $productiveminds_theme_layout || 'three_columns' == $productiveminds_theme_layout ) {
    ?>
        <aside class="productive-sidebar productive-sidebar-left hide-below-landscape-mobile">
            <?php dynamic_sidebar( 'sidebar_left' ); ?>
        </aside>
    <?php 
    }
}
add_action( 'display_sidebar_left', 'productive_ecommerce_get_left_sidebar' );


/**
 * 
 * @param type $productiveminds_theme_layout
 */
function productive_ecommerce_get_sidebar_right( $productiveminds_theme_layout = '' ) {
    if ( 'two_columns_left' == $productiveminds_theme_layout || 'two_columns_right' == $productiveminds_theme_layout || 'three_columns' == $productiveminds_theme_layout ) {
    ?>
        <aside class="productive-sidebar productive-sidebar-right">
            <?php if ( !productive_ecommerce_is_woocommerce_page() && ('two_columns_left' == $productiveminds_theme_layout || 'three_columns' == $productiveminds_theme_layout) ) { ?>
                <div class="hide-above-landscape-mobile">
                    <?php dynamic_sidebar( 'sidebar_left' ); ?>
                </div>
            <?php } ?>
            <?php if ( 'two_columns_right' == $productiveminds_theme_layout || 'three_columns' == $productiveminds_theme_layout ) { ?>
                <div>
                    <?php dynamic_sidebar( 'sidebar_right' ); ?>
                </div>
            <?php } ?>
        </aside>
    <?php
    }
}
add_action( 'display_sidebar_right', 'productive_ecommerce_get_sidebar_right' );

/**
 * 
 */
function productive_ecommerce_get_sidebar_woocommerce_sidebar( $productiveminds_theme_woocommerce_sidebar = '' ) {
    ?>
        <aside class="productive-sidebar <?php echo esc_attr( $productiveminds_theme_woocommerce_sidebar ); ?> productive-sidebar-woocommerce_sidebar">
            <?php dynamic_sidebar( PRODUCTIVE_ECOMMERCE_WOOCOMMERCE_SIDEBAR_ID ); ?>
        </aside>
    <?php
}
add_action( 'display_sidebar_woocommerce_sidebar', 'productive_ecommerce_get_sidebar_woocommerce_sidebar' );

/**
 * 
 * @param type $number_of_posts
 * @param type $post_type
 * @return type
 */
function productive_ecommerce_get_site_posts( $number_of_posts = 10, $post_type = 'post' ) {
    $args = array(
        'numberposts' => $number_of_posts,
        'post_type' => $post_type,
        'suppress_filters' => 0,
    );
    return get_posts( $args );
}

/**
 * Method productive_ecommerce_get_theme_mod_bg_image_home
 */
function productive_ecommerce_get_attachment_by_thumbnail_id($attachment_id, $type = 'full', $default_image = PRODUCTIVE_ECOMMERCE_HOMEPAGE_USP_IMAGE_REMOTE) {
    
    $productive_ecommerce_homepage_usp_image = $default_image;
    
    if ( $attachment_id ) {
        $attachment_url = wp_get_attachment_url( $attachment_id, $type );
        if ( !empty( trim($attachment_url)) ) {
            $productive_ecommerce_homepage_usp_image = $attachment_url;
        }
    }
    return $productive_ecommerce_homepage_usp_image;
}

function productive_ecommerce_render_comments() {
    if ( comments_open() && !post_password_required() ) {
?>
    <div class="productiveminds-comments-container">
        <?php comments_template( '/comments.php' ); ?>
    </div>
<?php
    }
}

function productive_ecommerce_the_posts_navigation() {
    the_posts_pagination(
        array(
            'prev_text' => sprintf(
                '%s <span class="prev-post-link">%s</span>',
                '<span class="bolded"><</span>',
                ''
                ),
            'next_text' => sprintf(
                '<span class="next-post-link">%s</span> %s',
                '',
                '<span class="bolded">></span>',
                ),
            'screen_reader_text' => __( 'Page Content Navigation ', 'productive-ecommerce' ),
            'class' => 'productiveminds_archive_pagination_nav',
        )
    );
}

/**
 * Method productive_ecommerce_render_search_result_title
 */
function productive_ecommerce_render_search_result_title() {
    global $wp_query;
    ?>
    <?php do_action('display_content_wrapper_full_top'); ?>
        <div class="productiveminds_banner_container_content">
            <h1><?php echo __( 'Search result for ', 'productive-ecommerce' ) . esc_html( get_search_query() ); ?></h1>
            <div class="productiveminds_container_content_desc">
                <?php if ( trim( get_search_query() ) != '' && $wp_query->found_posts > 0 ) { ?>
                    <div class="search-result-number">
                        <?php
                        $found_posts = $wp_query->found_posts;
                        if ( $found_posts > 1 ) {
                            echo esc_attr( $found_posts ) . esc_html__( ' matches found for your search. Your searched for: ', 'productive-ecommerce' );
                        } else {
                            echo esc_attr( $found_posts ) . esc_html__( ' match found for your search. Your searched for: ', 'productive-ecommerce' );
                        }
                        echo '"' . esc_html( get_search_query() ) . '"';
                        ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    <?php do_action('display_content_wrapper_full_bottom'); ?>
    <?php
}
add_action('display_productive_search_result_title', 'productive_ecommerce_render_search_result_title');

function productive_ecommerce_woocommerce_get_image_size_gallery_thumbnail( $size ) {
    return array(
        'width'     => 100,
        'height'    => '',
        'crop'      => 1,
    );
}
add_filter( 'woocommerce_get_image_size_gallery_thumbnail', 'productive_ecommerce_woocommerce_get_image_size_gallery_thumbnail');


/**
 * Method productive_ecommerce_use_full_width_video
 */
function productive_ecommerce_use_full_width_video( $html ) {
    return '<div class="embedded_content_css">' . $html . '</div>';
}
add_filter( 'embed_oembed_html', 'productive_ecommerce_use_full_width_video', 1, 2 );


function productive_ecommerce_get_a_unique_id( $prefix = '' ) {
    if ( function_exists( 'wp_unique_id' ) ) {
            return wp_unique_id( $prefix );
    } else {
            static $id_counter;
            return $prefix . (string) ++$id_counter;
    }
}
add_action( 'display_unique_id', 'productive_ecommerce_get_a_unique_id', 1 );


/**
 * Method productive_ecommerce_menu_navs.
 */
function productive_ecommerce_menu_navs() {
	$theme_menus = array(
		'primary' => 'Primary (Header Menu)',
		'footer_menu' => 'Footer Menu',
		'copyright_menu' => 'Copyright Section Menu',
	);
	register_nav_menus( $theme_menus );
}
add_action( 'init', 'productive_ecommerce_menu_navs' );

/**
 * 
 * @param type $class
 */
function productive_ecommerce_get_productive_ecommerce_header_nav( $class = '' ) {
    ?>
        <div class="<?php echo esc_attr($class); ?>">
            <?php
            wp_nav_menu(
                array(
                    'theme_location' => 'primary',
                    'menu' => 'productiveminds-header-nav',
                    'menu_id' => 'productiveminds-header-nav',
                    'container' => 'div',
                    'menu_class' => 'header-navbar-nav',
                    'containder-class' => 'productiveminds-header-nav',
                    'container_aria_label' => 'Header Menu',
                ));
            ?>
        </div>
    <?php
}
add_action( 'display_productive_ecommerce_header_nav', 'productive_ecommerce_get_productive_ecommerce_header_nav' );

/**
 * 
 * @param type $class
 */
function productive_ecommerce_get_productive_ecommerce_footer_nav( $class = '' ) {
    if ( has_nav_menu( 'footer_menu' ) ) {
    ?>
        <div class="<?php echo esc_attr($class); ?>">
            <?php
            wp_nav_menu(
                array(
                    'theme_location' => 'footer_menu',
                    'menu' => 'productiveminds-footer-nav',
                    'menu_id' => 'productiveminds-footer-nav',
                    'container' => 'div',
                    'menu_class' => 'footer-menu',
                    'containder-class' => 'footer-menu',
                    'container_aria_label' => 'Footer Menu',
                ));
            ?>
        </div>
    <?php
    }
}
add_action( 'display_productive_ecommerce_footer_nav', 'productive_ecommerce_get_productive_ecommerce_footer_nav' );

/**
 * 
 * @param type $class
 */
function productive_ecommerce_get_productive_ecommerce_copyright_nav( $class = '' ) {
    if ( has_nav_menu( 'copyright_menu' ) ) {
    ?>
        <div class="<?php echo esc_attr($class); ?>">
            <?php
            wp_nav_menu(
                array(
                    'theme_location' => 'copyright_menu',
                    'menu' => 'productiveminds-copyright-nav',
                    'menu_id' => 'productiveminds-copyright-nav',
                    'container' => 'div',
                    'menu_class' => 'copyright-menu',
                    'containder-class' => 'copyright-menu',
                    'container_aria_label' => 'Copyright Section Menu',
                ));
            ?>
        </div>
    <?php
    }
}
add_action( 'display_productive_ecommerce_copyright_nav', 'productive_ecommerce_get_productive_ecommerce_copyright_nav' );


require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/productive-theme-customiser-inline.php';
require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/includes/default.php';
