<?php
/**
 * 
 * @package productive-ecommerce
 * 
 */

function productive_ecommerce_render_theme_global_popup() {
    global $productive_global_popup_transition_direction, $is_on_productive_global_popup_close_with_esc_key_enable, $is_on_productive_global_popup_close_with_click_elsewhere_enable;
    $productive_commerce_global_theme_popup_screen_position = 'top_right';
    $productive_commerce_global_theme_popup_height_fullscreen = '';
    $fullscreen_height = 'fullscreen_height';
    if( $productive_commerce_global_theme_popup_height_fullscreen ) {
        $fullscreen_height = 'fullscreen_height';
    }
    
    $productive_ecommerce_customiser_show_search            = productive_ecommerce_enable_header_search();
    $productive_ecommerce_customiser_show_account_icon      = productive_ecommerce_enable_header_account();
    $productive_ecommerce_is_any_productive_commerce_plugin_header_button_active = productive_ecommerce_is_any_productive_commerce_plugin_header_button_active();
    ?>
    <div class="productive_popup std_popup productive_theme_global_popup full_small_screen woocommerce woocommerce-page single-product <?php echo esc_attr($fullscreen_height); ?> <?php echo esc_attr($is_on_productive_global_popup_close_with_esc_key_enable); ?> <?php echo esc_attr($is_on_productive_global_popup_close_with_click_elsewhere_enable); ?> <?php echo esc_attr($productive_commerce_global_theme_popup_screen_position); ?>" id="productive_theme_global_popup_container" data-enter-exit-transition-commerce="<?php echo esc_attr($productive_global_popup_transition_direction); ?>">
    <?php $show_productive_theme_global_popup_footer = 'noned';?>
        <div class="productive_popup-overlay productive_theme_global_popup">
            <header class="productive_popup-header" id="productive_popup-header-productive_theme_global_popup">
                <div class="the-productive_popup-the-header">
                    <div class="header-icons-items productiveminds-alignable-container flexed justify-content-flex-start row-gap-5px column-gap-20px">
                        <?php do_action( 'display_productive_language_and_currency_header_buttons', '' ); ?>
                        <?php if ( $productive_ecommerce_customiser_show_account_icon ) { ?>
                            <?php do_action('display_productive_my_account_header_button'); ?>
                        <?php } ?>
                    </div>
                </div>
            </header>
            <section class="productive_popup-body">
                <?php if ( $productive_ecommerce_is_any_productive_commerce_plugin_header_button_active ) { ?>
                <div class="the-productive_popup-the-header">
                    <div class="header-icons-items productiveminds-alignable-container flexed row-gap-5px column-gap-20px">
                        <?php do_action( 'display_theme_productive_commerce_plugin_header_buttons' ); ?>
                    </div>
                </div>
                <?php } ?>
                <div class="header-search">
                    <div class="productiveminds-alignable-container justify-content-space-evenly align-items-stretch">
                        <div class="productiveminds-alignable-container_uno">
                            <?php
                                if ( $productive_ecommerce_customiser_show_search ) {
                                    get_search_form(
                                        array(
                                            'arial_label' => __( 'Search...', 'productive-ecommerce' ),
                                        )
                                   );
                                }
                            ?>
                        </div>
                    </div>
                </div>
                <div class="site-body-container_box">
                    <div class="site-body-container_box_uno">
                        <div class="site-header-menu theme-global-popup-menu">
                            <?php do_action( 'display_productive_ecommerce_header_nav', 'site-header-menu-nav site_header_nav_global_screen' ); ?>
                        </div>
                    </div>
                </div>
            </section>
            <footer class="productive_popup-footer <?php echo esc_attr( $show_productive_theme_global_popup_footer ); ?>">
            </footer>
            <button aria-label="<?php esc_attr_e('Close Overlay', 'productive-ecommerce'); ?>" class="productive-popup-close-button right">
                <?php productive_global_render_close_section_button( 16 ); ?>
                <span class="screen-reader-text"><?php esc_html_e('Close Overlay', 'productive-ecommerce'); ?></span>
            </button>
        </div>
    </div>
<?php
}
add_action('wp_footer', 'productive_ecommerce_render_theme_global_popup');
