<?php
/**
 *
 * @package    productive-ecommerce
 */

/** TGM Library */
require_once PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/standard/includes/tgm.php';

require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/standard/options/theme-settings.php';


/**
 * Method productive_ecommerce_scripts_inline.
 */
function productive_ecommerce_scripts_inline() {
    if ( !is_child_theme() ) {
        $custom_css = productive_ecommerce_apply_custom_css();
        wp_add_inline_style('productive_parent_theme_main_css_style', $custom_css);
    } else {
        $custom_css = productive_ecommerce_apply_custom_css(' !important');
        wp_add_inline_style('productive_child_theme_css_style', $custom_css);
    }
}
// Commerce                     == 70
// Forms                        == 72
// Minds                        == 74
// Style                        == 76
// Parent                       == 80
// Child                        == 82
if ( !is_admin() ) {
    add_action( 'wp_enqueue_scripts', 'productive_ecommerce_scripts_inline', 80 );
}

/**
 * Method productive_ecommerce_set_content_width
 * Sets the content width in pixels
 */
function productive_ecommerce_set_content_width() {
    if ( ! isset( $content_width ) ) {
        $content_width = PRODUCTIVE_ECOMMERCE_THEME_CONTENT_DEFAULT_WIDTH;
    }
    if ( ! isset( $GLOBALS['content_width'] ) ) {
        $GLOBALS['content_width'] = apply_filters( 'productive_ecommerce_set_content_width', $content_width );
    }
}
add_action( 'after_setup_theme', 'productive_ecommerce_set_content_width', 0 );

/**
 * Method productive_ecommerce_render_my_account_button
 */
function productive_ecommerce_render_my_account_button() {
    $url = '#';
    if( productive_ecommerce_is_woocommerce_activated() ) {
        $url = get_permalink( wc_get_page_id( 'myaccount' ) );
    } else {
        return;
    }
    $productive_ecommerce_my_account_icon_args = array(
        'i'     => 'user-circle-o', 
        'w'     => 25, 
        'h'     => 25, 
        'css'   => '',
        'svg_css'   => ''
    );
    ?>
    <span class="productiveminds_standard_header_button account">
        <a title="<?php echo esc_attr__( 'Account', 'productive-ecommerce') ?>" 
            aria-label="<?php esc_attr_e('Account', 'productive-ecommerce'); ?>" 
            class="righted ten_right_padding" 
            href="<?php echo esc_url( $url ); ?>">
            <?php do_action('display_productiveminds_display_font_icon', $productive_ecommerce_my_account_icon_args); ?>
        </a>
    </span>
    <?php
}
add_action('display_productive_my_account_header_button', 'productive_ecommerce_render_my_account_button');


function productive_ecommerce_do_homepage_banner() {
    do_action( 'display_productive_ecommerce_get_homepage_banner_with_image' );
}
add_action('display_productive_ecommerce_do_homepage_banner', 'productive_ecommerce_do_homepage_banner');
