<?php
/**
 * Header page.
 *
 * @package    productive-ecommerce
 */

wp_body_open();

do_action( 'productive_ecommerce_body_open' );

$productive_ecommerce_customiser_show_search            = productive_ecommerce_enable_header_search();
$productive_ecommerce_customiser_show_account_icon      = productive_ecommerce_enable_header_account();
$productive_ecommerce_is_any_productive_commerce_plugin_header_button_active = productive_ecommerce_is_any_productive_commerce_plugin_header_button_active();

$is_productive_commerce_has_custom_logo = has_custom_logo();
$productive_commerce_is_custom_logo_text = '';
if( !$is_productive_commerce_has_custom_logo ) {
    $productive_commerce_is_custom_logo_text = 'is_custom_logo_text';
}

$productive_ecommerce_header_colour_mode = productive_ecommerce_header_colour_mode();
?>

<header class="site-body-container header-container theme-default">
    
    <?php if ( productive_ecommerce_announcement_switch_on() ) { ?>
        <?php require PRODUCTIVE_ECOMMERCE_THEME_BASE_PATH . '/template-parts/part-header-announcement.php'; ?>
    <?php } ?>
    <?php
        if( productive_ecommerce_is_productive_forms_active() && PRODUCTIVE_ECOMMERCE_CUSTOMIZER_header_contact_section_switch_on ) {
            do_action('display_productive_header_contact_section');
        }
    ?>
    
    <div class="site-body-container_box align-items-center">
        <div class="site-body-container_box_uno relatived">
            
            <div class="productiveminds-alignable-container header-container-box align-items-center align-content-center column-gap-30px <?php echo esc_attr( $productive_commerce_is_custom_logo_text ); ?>">
                <div class="header-logo header-site-identity productiveminds-alignable-container align-items-center align-content-center">
                    <?php if ( ! $is_productive_commerce_has_custom_logo ) { ?>
                        <a class="logo-text" href="<?php echo esc_url( home_url() ); ?>" >
                            <span class="logo-text-name"><?php bloginfo( 'name' ); ?></span><span class="logo-text-desc"><?php bloginfo( 'description' ); ?></span>
                        </a>
                    <?php } else { ?>
                        <?php productive_ecommerce_the_custom_logo(); ?>
                    <?php } ?>
                </div>
                <div class="productiveminds-alignable-container header-container-inner-box align-items-center align-content-center">
                    <div class="header-search hide-below-landscape-mobile productiveminds-alignable-container place-items-center place-content-center">
                        <?php
                            if ( $productive_ecommerce_customiser_show_search ) {
                                get_search_form(
                                    array(
                                        'arial_label' => __( 'Search...', 'productive-ecommerce' ),
                                    )
                               );
                            }
                        ?>
                    </div>
                    <div class="header-icons">
                        <div class="header-icons-items productiveminds-alignable-container flexed justify-content-flex-end justify-items-end row-gap-5px column-gap-20px">

                            <?php do_action( 'display_productive_language_and_currency_header_buttons', 'hide-below-landscape-mobile' ); ?>

                            <?php if ( $productive_ecommerce_customiser_show_account_icon ) { ?>
                                <span class=""><?php do_action('display_productive_my_account_header_button'); ?></span>
                            <?php } ?>

                            <button data-open-popup="productive_theme_global_popup_container" 
                                    aria-label="<?php esc_attr_e('Menu', 'productive-ecommerce'); ?>" 
                                    class="productiveminds-navicon-button hide-above-landscape-mobile">
                                <span class="productiveminds-navicon-container productiveminds-alignable-container justify-content-flex-end justify-items-end width-100pc">
                                    <span class="productiveminds-navicon-item-1"></span>
                                    <span class="productiveminds-navicon-item-2"></span>
                                    <span class="productiveminds-navicon-item-3"></span>
                                    <span class="productiveminds-navicon-item-4"></span>
                                </span>
                                <span class="screen-reader-text"><?php esc_html_e('Menu', 'productive-ecommerce'); ?></span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="site-body-container_box_full header-site-menu-bar-bg <?php echo esc_attr($productive_ecommerce_header_colour_mode); ?> hide-below-landscape-mobile">
        <div class="site-body-container_box">
            <div class="site-body-container_box_uno">
                <div class="productiveminds-alignable-container flexed align-items-center align-content-center column-gap-20px justify-content-flex-end justify-items-end row-gap-5px">
                    <div class="site-header-menu flexed-autoed">
                        <?php do_action( 'display_productive_ecommerce_header_nav', 'site-header-menu-nav site_header_nav_big_screen' ); ?>
                    </div>
                    <?php if ( $productive_ecommerce_is_any_productive_commerce_plugin_header_button_active ) { ?>
                    <div class="header-icons-items productiveminds-alignable-container flexed flexed-in-a-flexed justify-content-flex-end justify-items-end row-gap-5px column-gap-10px">
                        <?php do_action( 'display_theme_productive_commerce_plugin_header_buttons' ); ?>
                    </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
        $productive_ecommerce_is_breadcrumb_active = (productive_ecommerce_is_productive_style_active() && PRODUCTIVE_ECOMMERCE_CUSTOMIZER_breadcrumb_switch_on);
        $productive_ecommerce_is_hide_top_banner_sitewide = 'hide_top_banner' == PRODUCTIVE_ECOMMERCE_CUSTOMIZER_show_top_banner;
        $productive_ecommerce_is_hide_top_banner_on_product_page = (!productive_ecommerce_show_top_banner_product_details() && productive_ecommerce_is_product() );
        if( $productive_ecommerce_is_breadcrumb_active && ($productive_ecommerce_is_hide_top_banner_sitewide || $productive_ecommerce_is_hide_top_banner_on_product_page) ) {
            do_action('display_productive_breadcrumb');
        }
    ?>
</header>
