<?php
/**
 * Part template
 *
 * @package productive-ecommerce
 */

?>

<?php 
function productive_ecommerce_render_content_archive_item_blog( $is_blog_block = 1, $is_search_result_page = 0, $section_show_search_result_post_type = 0, $section_show_section_header = 1, $section_is_home = 0 ) {
    if ( ( is_home() && productive_ecommerce_homepage_blog_latest_enable() ) || ! is_home() ) {
        $blog_title = productive_ecommerce_homepage_blog_latest_section_title();
        $productive_ecommerce_get_items_per_row_to_display = productive_ecommerce_items_per_row_to_display();
        
        do_action('display_content_wrapper_full_top');
    ?>
        <?php if( $section_is_home ) { ?>
            <div class="productiveminds_widget_container_home">
        <?php } ?>
            
        <?php if( $section_show_section_header ) { ?>
            <h2 class="section-title blog"><?php echo esc_html( $blog_title ); ?></h2>
        <?php } ?>

        <div class="productiveminds_section-container grid columns-<?php echo esc_attr( $productive_ecommerce_get_items_per_row_to_display ); ?> productiveminds-standard-content-container">
        <?php $counter = 0; ?>
        <?php while ( have_posts() && ( ( is_home() && $counter < $productive_ecommerce_get_items_per_row_to_display ) || ! is_home() ) ) {
            the_post(); 
            
        $section_show_content_title = 1;
        $section_show_content_text = 1;
        $section_content_show_url_button = intval( productive_ecommerce_post_display_read_more_button() );
        $section_content_button_hover_animation = '';
        $productive_ecommerce_posts_excerpt_word_count = intval( productive_ecommerce_posts_excerpt_word_count() );
        $productive_ecommerce_post_display_excerpt = intval( productive_ecommerce_post_display_excerpt() );
        $section_show_post_author = 1;
        $section_show_post_comments_count = intval( productive_ecommerce_post_display_comment() );
        $section_show_post_date = intval( productive_ecommerce_post_display_date() );
        $section_show_post_date_copy = '';
        $section_show_post_date_original = 0;
        $section_show_post_date_original_copy = '';
        $section_show_reading_time = intval( productive_ecommerce_post_display_read_time() );
        $section_show_post_category = intval( productive_ecommerce_post_display_category() );

        $misc = array(
            'section_content_show_url_button'                   => $section_content_show_url_button,
            'section_content_button_hover_animation'            => $section_content_button_hover_animation,
            'section_show_content_title'                        => $section_show_content_title,
            'section_show_content_text'                         => $section_show_content_text,
            'productive_ecommerce_posts_excerpt_word_count'     => $productive_ecommerce_posts_excerpt_word_count,
            'productive_ecommerce_post_display_excerpt'         => $productive_ecommerce_post_display_excerpt,
            'section_show_post_author'                          => $section_show_post_author,
            'section_show_post_comments_count'                  => $section_show_post_comments_count,
            'section_show_post_date'                            => $section_show_post_date,
            'section_show_post_date_copy'                       => $section_show_post_date_copy,
            'section_show_post_date_original'                   => $section_show_post_date_original,
            'section_show_post_date_original_copy'              => $section_show_post_date_original_copy,
            'section_show_reading_time'                         => $section_show_reading_time,
            'section_show_post_category'                        => $section_show_post_category,
        );

        ?>
            <div class="productiveminds_section-container-column">
                <div class="productiveminds_section-container-column-content">
                    <div class="productiveminds_section-container-column-content-body no-box">
                        <div class="productiveminds_section-single-item productiveminds-alignable-container row-gap-10px">
                            <?php
                                productive_ecommerce_render_content_media_standard( $is_search_result_page, $section_show_search_result_post_type );
                                productive_ecommerce_render_content_text_blog_archive_item( $is_blog_block, $misc );
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php 
            $counter++;
        }
        wp_reset_postdata();
        ?>
        </div>
    <?php if( $section_is_home ) { ?>
        </div>
    <?php } ?>
    <?php do_action('display_content_wrapper_full_bottom');
    }
}
add_action( 'display_archive_item_blog', 'productive_ecommerce_render_content_archive_item_blog' );


/**
 * Display main content
 * 
 * @param int $misc
 */
function productive_ecommerce_render_content_text_blog_archive_item( $is_blog_block = false, $misc ) {
    
    $section_content_show_url_button                        = $misc['section_content_show_url_button'];
    $section_content_button_hover_animation                 = $misc['section_content_button_hover_animation'];
    $section_show_content_text                              = $misc['section_show_content_text'];
    $productive_ecommerce_posts_excerpt_word_count          = $misc['productive_ecommerce_posts_excerpt_word_count'];
    $productive_ecommerce_post_display_excerpt              = $misc['productive_ecommerce_post_display_excerpt'];
    $section_show_post_author                               = $misc['section_show_post_author'];
    $section_show_post_comments_count                       = $misc['section_show_post_comments_count'];
    $section_show_post_date                                 = $misc['section_show_post_date'];
    $section_show_post_date_copy                            = $misc['section_show_post_date_copy'];
    $section_show_post_date_original                        = $misc['section_show_post_date_original'];
    $section_show_post_date_original_copy                   = $misc['section_show_post_date_original_copy'];
    $section_show_reading_time                              = $misc['section_show_reading_time'];
    $section_show_post_category                             = $misc['section_show_post_category']; 
    $section_show_content_title                             = $misc['section_show_content_title']; 
    
    $section_content_show_url_button_target = '_parent'; 
    if( 2 == $section_content_show_url_button ) {
        $section_content_show_url_button_target = '_blank';
    }
    
    $post_id = get_the_ID();
?>
    <?php if( $section_show_post_category || $section_show_reading_time || $section_show_content_title || $section_show_content_text || 
            $section_show_post_comments_count || $section_show_post_date_original || $section_show_post_date || $section_content_show_url_button ) { ?>
    <div class="productiveminds_section-single-item-text productiveminds-alignable-container row-gap-10px productive-blog-element">
        
        <?php if( $section_show_post_category || $section_show_reading_time ) { ?>
            <div class="productive-blog-element-cat-and-read-time productiveminds-alignable-container flexed-no-wrap justify-content-space-between gap-10px">
                <?php if( productive_ecommerce_is_productive_style_active() && $section_show_reading_time ) { ?>
                    <div class="section_show_reading_time">
                        <?php echo productive_style_get_blog_read_time( get_the_content() ); ?>
                    </div>
                <?php } ?>
                <?php if( $section_show_post_category ) { ?>
                    <div class="section_show_post_category righted">
                        <?php the_category( ' &bull; ' ); ?>
                    </div>
                <?php } ?>
            </div>
        <?php } ?>
        
        <?php if( $section_show_content_title ) { ?>
            <div class="single-item-title">
                <a aria-label="<?php esc_attr_e('Read ', 'productive-ecommerce') . the_title(); ?>" 
                   href="<?php echo esc_url( get_permalink() ); ?>">
                        <?php the_title(); ?>
                        <span class="screen-reader-text"><?php esc_html_e('Read ', 'productive-ecommerce') . the_title(); ?></span>
                </a>
            </div>
        <?php } ?>
        
        <?php 
        $post_format = get_post_format();
        if( $productive_ecommerce_post_display_excerpt && $section_show_content_text && 'status' != $post_format && 'aside' != $post_format ) { ?>
            <div class="single-item-desc">
                <?php echo esc_html( wp_trim_words( get_the_excerpt(), $productive_ecommerce_posts_excerpt_word_count ) ); ?>
            </div>
        <?php } ?>
        
        <?php if( $section_show_post_date_original || $section_show_post_date || $section_show_post_comments_count ) { ?>
            <div class="productive-blog-element-date productiveminds-alignable-container flexed justify-content-space-between gap-10px">
                <?php if( $section_show_post_date && $section_show_post_date != 4 ) { ?>
                    <div class="section_show_post_date">
                        <?php if( !empty( $section_show_post_date_copy ) ) { ?>
                            <span class="section_show_post_date_copy"><?php echo esc_html( $section_show_post_date_copy ); ?></span>
                        <?php } ?>
                        <?php echo get_the_modified_date(); ?>
                    </div>
                <?php } else if( $section_show_post_date_original && $section_show_post_date_original != 4 ) { ?>
                    <div class="section_show_post_date_original">
                        <?php if( !empty( $section_show_post_date_original_copy ) ) { ?>
                            <span class="section_show_post_date_original_copy"><?php echo esc_html( $section_show_post_date_original_copy ); ?></span>
                        <?php } ?>
                        <?php echo get_the_date(); ?>
                    </div>
                <?php } ?>
                
                <?php if( $section_show_post_comments_count ) { ?>
                    <div class="section_show_post_comments_count righted">
                        <?php
                            $get_comment_count = get_comment_count( $post_id );
                            $approved_comments_count = $get_comment_count['approved'];
                            echo $approved_comments_count . ' comments';
                        ?>
                    </div>
                <?php } ?>

            </div>
        <?php } ?>
        
        <?php if( $section_content_show_url_button ) { ?>
            <div class="productive-blog-element-read-more-btn">
                <a target="<?php echo esc_attr($section_content_show_url_button_target); ?>" class="single-item-button <?php echo esc_attr( $section_content_button_hover_animation ); ?>" 
                    aria-label="<?php esc_attr_e('Read more about ', 'productive-ecommerce') . the_title(); ?>" 
                    href="<?php echo esc_url( get_permalink() ); ?>">
                         <?php echo esc_html( 'Read more', 'productive-ecommerce' ); ?>
                         <span class="screen-reader-text"><?php esc_html_e('Read more ', 'productive-ecommerce') . the_title(); ?></span>
                 </a>
            </div>
        <?php } ?>
        
    </div>
    <?php } ?>
<?php 
}
