<?php
/**
 * Part template
 *
 * @package productive-ecommerce
 */
?>
<?php
$prev = get_previous_post();
$next = get_next_post();
if ($prev || $next) {
    $productive_ecommerce_prev_icon_args = array(
        'i' => 'chevron-left',
        'w' => 15,
        'h' => 15,
        'css' => '',
        'svg_css' => ''
    );
    $productive_ecommerce_next_icon_args = array(
        'i' => 'chevron-right',
        'w' => 15,
        'h' => 15,
        'css' => '',
        'svg_css' => ''
    );
    ?>
    <div class="productiveminds-alignable-container flexed-no-wrap align-items-center align-content-center column-gap-20px justify-content-space-between justify-items-stretch row-gap-20px prev-next-post-link-container">
        <div class="">
            <?php if ($prev) {
                $fallback_image = productive_ecommerce_get_placeholder_image();
                $thumbnail_image = productive_ecommerce_get_attachment_by_thumbnail_id(get_post_thumbnail_id($prev->ID), 'thumbnail', $fallback_image);
                ?>
                <a aria-label="<?php esc_attr_e('Previous', 'productive-ecommerce'); ?>" href="<?php echo esc_url(get_permalink($prev->ID)); ?>">
                    <span class="prev-post-link">
                        <?php do_action('display_productiveminds_display_font_icon', $productive_ecommerce_prev_icon_args); ?>
                        <img src="<?php echo esc_url($thumbnail_image); ?>" alt="" />
                        <span class="screen-reader-text"><?php esc_html_e('Previous', 'productive-ecommerce'); ?></span>
                    </span>
                </a>
            <?php } ?>
        </div>
        <div class="">
            <?php if ($next) {
                $fallback_image = productive_ecommerce_get_placeholder_image();
                $thumbnail_image_next = productive_ecommerce_get_attachment_by_thumbnail_id(get_post_thumbnail_id($next->ID), 'thumbnail', $fallback_image);
                ?>
                <a aria-label="<?php esc_attr_e('Next', 'productive-ecommerce'); ?>" href="<?php echo esc_url(get_permalink($next->ID)); ?>">
                    <span class="next-post-link">
                        <img src="<?php echo esc_url($thumbnail_image_next); ?>" alt="" /> 
                        <?php do_action('display_productiveminds_display_font_icon', $productive_ecommerce_next_icon_args); ?>
                        <span class="screen-reader-text"><?php esc_html_e('Next', 'productive-ecommerce'); ?></span>
                    </span>
                </a>
            <?php } ?>
        </div>
    </div>
    <?php
}