<?php
/**
 * Part template
 *
 * @package productive-ecommerce
 */

$productive_ecommerce_show_top_banner = PRODUCTIVE_ECOMMERCE_CUSTOMIZER_show_top_banner;
$productive_ecommerce_single_post_display_category = intval( productive_ecommerce_single_post_display_category() );
$productive_ecommerce_single_post_display_author = intval( productive_ecommerce_single_post_display_author() );
$productive_ecommerce_single_post_display_which_date = trim( productive_ecommerce_single_post_display_which_date() );
?>

<article class="productive-blog-article" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <section class="productive-blog-article-section">
        
        <?php if( !PRODUCTIVE_ECOMMERCE_CUSTOMIZER_show_top_banner || 'hide_top_banner' == $productive_ecommerce_show_top_banner ) { ?>
            <h1><?php esc_html( the_title() ); ?></h1>
        <?php } ?>
            
        <?php if( has_post_thumbnail() && 'full_width_top_banner' == $productive_ecommerce_show_top_banner ) { ?>
            <div class="blog-post-featured-image">
                <?php
                $attr = array (
                    'alt' => get_the_title(),
                );
                the_post_thumbnail( 'full', $attr );
                ?>
            </div>
        <?php } ?>
            
        <div class="blog-post-single-metadata-container productiveminds-alignable-container flexed justify-content-space-between column-gap-20px row-gap-5px">
            <?php if ( $productive_ecommerce_single_post_display_category && has_category() ) { ?>
                <div class="blog-post-attributes-category">
                    <?php echo __( 'Posted in ', 'productive-ecommerce' ); ?>
                    <span><?php the_category( ' &bull; ' ); ?></span>
                </div>
            <?php } ?>
            
            <?php if ( $productive_ecommerce_single_post_display_author || 'hide_posted_date' != $productive_ecommerce_single_post_display_which_date ) { ?>
            <div class="blog-post-attributes-author">    			
                
                <?php if ( $productive_ecommerce_single_post_display_author ) { ?>
                    <?php echo __( 'By ', 'productive-ecommerce' ); ?> 
                    <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" >
                        <span><?php echo esc_html( get_the_author() ); ?></span>
                    </a>
                <?php } ?>
                
                <?php if ( $productive_ecommerce_single_post_display_author && 'hide_posted_date' != $productive_ecommerce_single_post_display_which_date ) { ?>
                <span>&bull;</span>
                <?php } ?>
                
                <?php if ( 'hide_posted_date' != $productive_ecommerce_single_post_display_which_date ) { ?>
                    <span class="blog-post-date">
                        <?php if ( 'original_posted_date' == $productive_ecommerce_single_post_display_which_date ) { ?>
                            <span><?php echo __( 'Posted on: ', 'productive-ecommerce' ); ?></span>
                            <span><?php esc_html( the_date() ); ?></span>
                        <?php } ?>

                        <?php if ( 'last_updated_date' == $productive_ecommerce_single_post_display_which_date ) { ?>
                            <span><?php echo __( 'last updated: ', 'productive-ecommerce' ); ?></span>
                            <span><?php esc_html( the_modified_date() ); ?></span>
                        <?php } ?>
                    </span>
                 <?php } ?>
            </div>
            <?php } ?>
        </div>
            
        <?php if ( has_post_thumbnail() && 'full_width_top_banner' != $productive_ecommerce_show_top_banner ) { ?>
        <div class="blog-post-featured-image">
            <?php
            $attr = array (
                'alt' => get_the_title(),
            );
            the_post_thumbnail( 'full', $attr );
            ?>
        </div>
        <?php } ?>
        
        <section class="productive-blog-article-content">   
        <?php the_content(); ?>
        </section> 
            
        <?php if ( get_the_tag_list() && !is_wp_error( get_the_tag_list() ) ) { ?>
            <div class="productiveminds_the_tags"><?php the_tags(); ?></div>
        <?php } ?>
    </section>
</article>

<?php 
    if ( is_single() ) {
        get_template_part( 'template-parts/part-page-prev-next' );
    }
    productive_ecommerce_render_comments();
